<?php

namespace App\Http\Controllers;

use Illuminate\Foundation\Auth\Access\AuthorizesRequests;
use Illuminate\Foundation\Bus\DispatchesJobs;
use Illuminate\Foundation\Validation\ValidatesRequests;
use Illuminate\Routing\Controller as BaseController;
use App\Http\Controllers\ApplicationController;
use App\Models\User;
use App\Models\Application;
use App\Models\ApplicationA2;
use App\Models\ApplicationB1;
use App\Models\ApplicationC1;
use App\Models\ApplicationHistory;
use App\Models\ApplicationFile;
use Illuminate\Support\Arr;
use Illuminate\Support\Collection;
use Illuminate\Support\Facades\Auth;



class ApplicationController extends BaseController
{
    use AuthorizesRequests, DispatchesJobs, ValidatesRequests;

    
    public function dashboard()
    {
        //$applications = Application::all();
        $lastUserApplicationID = 0;
        if (Application::where('user_id', Auth::id())->orderby('date','desc')->exists()) {
                $lastUserApplicationID = Application::where('user_id', Auth::id())->orderby('date','desc')->first()->id; 
        }
            

        if (Auth::user()->isMinistry()) {
            return redirect('/ministry/dashboard'); 
        } else if (Auth::user()->isIep()) {
            return redirect('/iep/dashboard'); 
        } else if (Auth::user()->isEvaluator()) {
            return redirect('/evaluator/dashboard'); 
        } else {
            return view('dashboard', compact('lastUserApplicationID'));    
        }

    }

    public function create()
    {
        $userid = Auth::id();
        return view('applications.create', compact("userid"));
    }

    public function applicationList()
    {
        $userid = Auth::id();
        return view('applications.dashboard', compact("userid"));
    }

    public function applicationChecklist($id)
    {
        $isReady=false;
        $checkA1 = true;
        $checkA2 = true;
        $checkA3 = true;
        $checkA4 = true;
        $checkC1 = true;
        $checkc2_3 = true;     
        $checkc1Arr['ΤΙΤΛΟΣ'] = true;
        $checkc1Arr['KEYWORDS'] = true;
        
        $application = Application::find($id);
        if (ApplicationA2::where('application_id',$id)->exists()) {
            $applicationA2 = ApplicationA2::where('application_id',$id)->first();
            if (!$applicationA2->a1a && (!$applicationA2->a1b_protocol || !$applicationA2->a1b_year || !$applicationA2->a1b_file)) {
                $checkA2 = false;
            }
            if (!$applicationA2->a2) {
                $checkA2 = false;
            }
        } else {
            $checkA2 = false;
            
        }

        /*
        if (ApplicationC1::where('application_id',$id)->exists()) {
            $applicationC1 = ApplicationC1::where('application_id',$id)->first();
            if (!$applicationC1->title) {
                $checkc1Arr['ΤΙΤΛΟΣ'] = false;
                $checkC1 = false;
            }
            if (!$applicationC1->keywords) {
                $checkc1Arr['KEYWORDS'] = false;
                $checkC1 = false;
            }
        } else {
            $checkC1 = false;
            
        }
        */

        if (!$application->a3_file) {
            $checkA3 = false;
        }
        if (!$application->a4_file) {
            $checkA4 = false;
        }


        if ($checkA1 && $checkA2 && $checkA3 && $checkA4 && $checkC1 ) {$isReady=true;}
        



        return view('applications.checklist', compact("application", "id", "isReady", "checkA1", "checkA2", "checkA3", "checkA4", "checkC1", "checkc1Arr"));
    }

    public function applicationPreview($id)
    {
        $application = Application::find($id);
        return view('applications.preview', compact("application", "id"));
    }

    public function applicationHistory($id)
    {
        $applicationHistory = ApplicationHistory::where('application_id',$id)
        ->orderby('created_at','asc')
        ->get();
        return view('applications.history', compact("applicationHistory", "id"));
    }

    public function applicationAppendixFile($id)
    {
        $applicationFiles = ApplicationFile::where('application_id',$id)
        ->orderby('name_description','asc')
        ->get();
        $application = Application::find($id);
        return view('applications.appendixfile', compact("application", "applicationFiles", "id"));
    }

    public function applicationAppendixA2($appid)
    {
        if (ApplicationA2::where('application_id',$appid)->exists()) {
            $applicationA2 = ApplicationA2::where('application_id',$appid)->first();
        } else {
            $applicationA2 = new ApplicationA2;

            $applicationA2->application_id = $appid;

            $applicationA2->save();
        }
        $id = $appid;
        $application = Application::find($id);
        return view('applications.appendixa2', compact("application","applicationA2", "id"));
    }

    public function applicationAppendixB1($appid)
    {
        if (ApplicationB1::where('application_id',$appid)->exists()) {
            $applicationB1 = ApplicationB1::where('application_id',$appid)->first();
        } else {
            $applicationB1 = new ApplicationB1;

            $applicationB1->application_id = $appid;

            $applicationB1->save();
        }
        $id = $appid;
        $application = Application::find($id);
        return view('applications.appendixb1', compact("application", "applicationB1", "id"));
    }

    public function applicationAppendixC1($appid)
    {
        if (ApplicationC1::where('application_id',$appid)->exists()) {
            $applicationC1 = ApplicationC1::where('application_id',$appid)->first();
        } else {
            $applicationC1 = new ApplicationC1;

            $applicationC1->application_id = $appid;

            $applicationC1->save();
        }
        $id = $appid;
        $application = Application::find($id);
        return view('applications.appendixc1', compact("application", "applicationC1", "id"));
    }

    public function applicationAppendixA3($id)
    {
        $application = Application::find($id);
        return view('applications.appendixa3', compact("application", "id"));
    }

    public function applicationAppendixA4($id)
    {
        $application = Application::find($id);
        return view('applications.appendixa4', compact("application", "id"));
    }

    public function applicationAppendixC2($id)
    {
        $application = Application::find($id);
        return view('applications.appendixc2', compact("application", "id"));
    }

    public function applicationAppendixC3($id)
    {
        $application = Application::find($id);
        return view('applications.appendixc3', compact("application", "id"));
    }

    public function applicationAppendixC4($id)
    {
        $application = Application::find($id);
        return view('applications.appendixc4', compact("application", "id"));
    }

    public function applicationAppendixC5($id)
    {
        $application = Application::find($id);
        return view('applications.appendixc5', compact("application", "id"));
    }

    
    
}
