<?php

namespace App\Http\Controllers;

use Illuminate\Foundation\Auth\Access\AuthorizesRequests;
use Illuminate\Foundation\Bus\DispatchesJobs;
use Illuminate\Foundation\Validation\ValidatesRequests;
use Illuminate\Routing\Controller as BaseController;
use App\Http\Controllers\EvaluatorController;
use App\Models\User;
use App\Models\Application;
use App\Models\ApplicationA2;
use App\Models\ApplicationB1;
use App\Models\ApplicationC1;
use App\Models\ApplicationIep;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\File;
use PDF;



class EvaluatorController extends BaseController
{
    use AuthorizesRequests, DispatchesJobs, ValidatesRequests;

    public function dashboard()
    {
        return view('evaluator.dashboard');    

    }


    public function applicationList()
    {
        $userid = Auth::id();
        return view('evaluator.applicationlist', compact("userid"));
    }

    public function writeReport($id)
    {
        $application = Application::find($id);
        return view('evaluator.writereport', compact("application"));
    }

    

    //den xreiazontai
    public function UserList()
    {
        $userid = Auth::id();
        return view('iep.userlist', compact("userid"));
    }
    
    
    public function generatePDFapplication($id)
    {
        //$applicationB1 = '';
        $application = Application::find($id);
        $applicationA2 = ApplicationA2::where('application_id', $id)->first();
        //if (ApplicationB1::where('application_id', $id)->exists())
            $applicationB1 = ApplicationB1::where('application_id', $id)->first();
        $applicationC1 = ApplicationC1::where('application_id', $id)->first();
		$pdf = PDF::loadView('evaluator.applicationForm', compact('application', 'applicationA2', 'applicationB1', 'applicationC1'));
        $pdf->setPaper('A4', 'portrait');
        $match_files = File::glob('document*');
		if($match_files !== false) {
			foreach($match_files as $file) {
			if(file_exists($file))
			File::delete($file);
			}
		}
		//$output = $pdf->output();
		$newfile = 'document'.strval(rand(0, 9999999)).'.pdf';
		//file_put_contents($newfile, $output);
        //echo $newfile;
        return $pdf->stream($newfile);
    }
    
}
