<?php

namespace App\Http\Livewire\Applications;



use App\Models\ApplicationA2;
use Livewire\Component;
use Illuminate\Support\Facades\Auth;
use Livewire\WithFileUploads;
use Storage;

class Appendixa2 extends Component
{
    use WithFileUploads;

    public ApplicationA2 $applicationA2;

    public $a1b_file;
    public $b7b_file;
    public $b8_students_file;
    public $b8_teachers_file;

    public function mount($applicationA2) { $this->applicationA2 = $applicationA2; }
    protected $rules = [
        'applicationA2.a1a' => 'max:100',
        'applicationA2.a1b_protocol' => 'max:100',
        'applicationA2.a1b_year' => 'max:100',
        'a1b_file' => 'nullable|mimes:pdf|max:1048',
        'applicationA2.a2' => 'max:1500',
        'applicationA2.a3_np' => 'nullable',
        'applicationA2.a3_pr' => 'nullable',
        'applicationA2.a3_gym' => 'nullable',
        'applicationA2.a3_lyc' => 'nullable',
        'applicationA2.a3_epal' => 'nullable',
        'applicationA2.a3_eeeek' => 'nullable',
        'applicationA2.a3_enegyl' => 'nullable',
        'applicationA2.a3_sp_np' => 'nullable',
        'applicationA2.a3_sp_pr' => 'nullable',
        'applicationA2.a3_sp_gym' => 'nullable',
        'applicationA2.a3_sp_lyc' => 'nullable',
        'applicationA2.a3_pr_classes' => 'nullable',
        'applicationA2.a3_gym_classes' => 'nullable',
        'applicationA2.a3_lyc_classes' => 'nullable',
        'applicationA2.a3_epal_classes' => 'nullable',
        'applicationA2.a3_area_country' => 'nullable',
        'applicationA2.a3_area' => 'nullable',
        'applicationA2.b1a' => 'nullable',
        'applicationA2.b1b' => 'nullable',
        'applicationA2.b1c' => 'nullable',
        'applicationA2.b2' => 'nullable',
        'applicationA2.b3' => 'nullable',
        'applicationA2.b4' => 'nullable',
        'applicationA2.b5_financial' => 'nullable',
        'applicationA2.b5_price' => 'nullable',
        'applicationA2.b5_description' => 'nullable',
        'applicationA2.b6a' => 'nullable',
        'applicationA2.b6b' => 'nullable',
        'applicationA2.b6b_description' => 'nullable',
        'applicationA2.b7a' => 'nullable',
        'applicationA2.b7b' => 'nullable',
        'applicationA2.b7b_name' => 'nullable',
        'b7b_file' => 'nullable|mimes:pdf|max:1048',
        'applicationA2.b8_students' => 'nullable',
        'b8_students_file' => 'nullable|mimes:pdf|max:1048',
        'applicationA2.b8_teachers' => 'nullable',
        'b8_teachers_file' => 'nullable|mimes:pdf|max:1048',
        'applicationA2.b8_interview' => 'nullable',
        'applicationA2.b8_other' => 'nullable',
        'applicationA2.c1' => 'nullable',
        'applicationA2.c2' => 'nullable',
        'applicationA2.c3' => 'nullable',
        'applicationA2.c4' => 'nullable',
        'applicationA2.c5' => 'nullable',
        'applicationA2.c6' => 'nullable',
        'applicationA2.c7' => 'nullable',
        'applicationA2.c8' => 'nullable',
        'applicationA2.c9' => 'nullable',

    ];

    public function updated($b7b_file)
    {
        $this->validateOnly($b7b_file);
        
    }

    public function save()
    {
        $this->validate();

        $this->applicationA2->save();

        //$this->b7b_file && $this->applicationA2->update([
            //'b7b_file' => $this->b7b_file->store('/', 'appendixa2'),
        //]);
        
        if ($this->a1b_file) $filename = $this->applicationA2->application_id . '-a1b.'.$this->a1b_file->extension();
        $this->a1b_file && $this->applicationA2->update([
            'a1b_file' => $this->a1b_file->storeAs('',  $filename, 'appendixa2'),
        ]);

        if ($this->b7b_file) $filename = $this->applicationA2->application_id . '-b7b.'.$this->b7b_file->extension();
        $this->b7b_file && $this->applicationA2->update([
            'b7b_file' => $this->b7b_file->storeAs('',  $filename, 'appendixa2'),
        ]);

        if ($this->b8_students_file) $filename = $this->applicationA2->application_id . '-b8st.'.$this->b8_students_file->extension();
        $this->b8_students_file && $this->applicationA2->update([
            'b8_students_file' => $this->b8_students_file->storeAs('',  $filename, 'appendixa2'),
        ]);
        
        if ($this->b8_teachers_file)  $filename = $this->applicationA2->application_id . '-b8teach.'.$this->b8_teachers_file->extension();
        $this->b8_teachers_file && $this->applicationA2->update([
            'b8_teachers_file' => $this->b8_teachers_file->storeAs('',  $filename, 'appendixa2'),
        ]);


        $this->emitSelf('notify-saved');
    }
    
    public function a1b_fileExport()
    {
        return Storage::disk('appendixa2')->download($this->applicationA2->a1b_file);
    }

    public function b7b_fileExport()
    {
        return Storage::disk('appendixa2')->download($this->applicationA2->b7b_file);
    }

    public function b8_students_fileExport()
    {
        return Storage::disk('appendixa2')->download($this->applicationA2->b8_students_file);
    }
    
    public function b8_teachers_fileExport()
    {
        return Storage::disk('appendixa2')->download($this->applicationA2->b8_teachers_file);
    }    

    
}
