<?php

namespace App\Http\Livewire\Applications;


use App\Models\Application;
use Livewire\Component;
use Illuminate\Support\Facades\Auth;
use Livewire\WithFileUploads;
use Storage;

class Appendixa3 extends Component
{

    use WithFileUploads;

    public $a3_file;

    public Application $application;
    //public $userid;

    public function mount($application) { $this->application = $application; }

    protected $rules = [
        'a3_file' => 'nullable|mimes:pdf|max:1048',
    ];

    public function updated($a3_file)
    {
        $this->validateOnly($a3_file);
        
    }

    public function save()
    {
        $this->validate();

        $this->application->save();

        if ($this->a3_file) $filename = $this->application->id . '-a3.'.$this->a3_file->extension();
        $this->a3_file && $this->application->update([
            'a3_file' => $this->a3_file->storeAs('',  $filename, 'appendixa2'),
        ]);


        $this->emitSelf('notify-saved');
    }
    
    public function a3_fileExport()
    {
        return Storage::disk('appendixa2')->download($this->application->a3_file);
    }

    
}
