<?php

namespace App\Http\Livewire\Applications;


use App\Models\Application;
use Livewire\Component;
use Illuminate\Support\Facades\Auth;
use Livewire\WithFileUploads;
use Storage;

class Appendixa4 extends Component
{

    use WithFileUploads;

    public $a4_file;

    public Application $application;
    //public $userid;

    public function mount($application) { $this->application = $application; }

    protected $rules = [
        'a4_file' => 'nullable|mimes:pdf|max:1048',
    ];

    public function updated($a4_file)
    {
        $this->validateOnly($a4_file);
        
    }

    public function save()
    {
        $this->validate();

        $this->application->save();

        if ($this->a4_file) $filename = $this->application->id . '-a4.'.$this->a4_file->extension();
        $this->a4_file && $this->application->update([
            'a4_file' => $this->a4_file->storeAs('',  $filename, 'appendixa2'),
        ]);


        $this->emitSelf('notify-saved');
    }
    
    public function a4_fileExport()
    {
        return Storage::disk('appendixa2')->download($this->application->a4_file);
    }

    
}
