<?php

namespace App\Http\Livewire\Applications;



use App\Models\ApplicationC1;
use App\Models\Categoriesparent;
use App\Models\Categorieschild;
use Livewire\Component;
use Illuminate\Support\Facades\Auth;

class Appendixc1 extends Component
{

    public ApplicationC1 $applicationC1;
    
    public $mainTopics=[];
    

    
    public function mount($applicationC1) { $this->applicationC1 = $applicationC1; }

    

    protected $rules = [
        'applicationC1.title' => 'max:500',
        'applicationC1.abstract' => 'max:2000',
        'applicationC1.keywords' => 'max:200',
        'applicationC1.main_topic_category' => 'integer',
        'applicationC1.main_topic' => 'max:500',
        'applicationC1.name_researcher' => 'max:500',
        'applicationC1.name_researcher_group' => 'nullable|max:1000',
        'applicationC1.name_professor' => 'nullable|max:1000',
        'applicationC1.organisation_name' => 'nullable|max:500',
        'applicationC1.organisation_address' => 'nullable|max:500',
        'applicationC1.organisation_phone' => 'nullable|max:500',
        'applicationC1.funding_name' => 'nullable|max:500',
        'applicationC1.researcher_status' => 'nullable|max:200',
        'applicationC1.researcher_address' => 'nullable|max:500',
        'applicationC1.researcher_phone' => 'nullable|max:200',
        'applicationC1.researcher_email' => 'nullable|max:200',
        'applicationC1.research_duration' => 'nullable|max:500',
        'applicationC1.research_estimate_complete_month' => 'nullable|digits_between:1,12',
        'applicationC1.research_estimate_complete_year' => 'nullable|digits_between:2020,2040',
        'applicationC1.sample' => 'nullable|max:500',
        'applicationC1.number_of_schools' => 'nullable|integer',
        'applicationC1.research_area' => 'nullable|max:2000',        
        'applicationC1.educational_structure' => 'nullable|max:2000',
        'applicationC1.sample_research' => 'nullable|max:2000',
        'applicationC1.st1' => 'nullable',
        'applicationC1.st2' => 'nullable',
        'applicationC1.st3' => 'nullable',
        'applicationC1.st4' => 'nullable',
        'applicationC1.st5' => 'nullable',
        'applicationC1.st6' => 'nullable',
        'applicationC1.st7' => 'nullable',
        'applicationC1.st8' => 'nullable',
        'applicationC1.st9' => 'nullable',
        'applicationC1.st10' => 'nullable',
        'applicationC1.st11' => 'nullable',
        'applicationC1.st12' => 'nullable',
        'applicationC1.st_other' => 'nullable|max:200',
    ];

 
    public function save()
    {
        $this->validate();

        $this->applicationC1->save();
      
        $this->emitSelf('notify-saved');
    }

    public function render()
    {
        if(!empty($this->applicationC1->main_topic_category)) {
            $this->mainTopics = Categorieschild::where('parent_id', $this->applicationC1->main_topic_category)->get();
        }
        return view('livewire.applications.appendixc1')
            ->withMainTopicCategories(Categoriesparent::where('category_id', 1)->get());
    }
    
}
