<?php

namespace App\Http\Livewire\Applications;


use App\Models\Application;
use Livewire\Component;
use Illuminate\Support\Facades\Auth;
use Livewire\WithFileUploads;
use Storage;

class Appendixc5 extends Component
{

    use WithFileUploads;

    public $c5_file;

    public Application $application;
    //public $userid;

    public function mount($application) { $this->application = $application; }

    protected $rules = [
        'c5_file' => 'nullable|mimes:pdf|max:1048',
    ];

    public function updated($c5_file)
    {
        $this->validateOnly($c5_file);
        
    }

    public function save()
    {
        $this->validate();

        $this->application->save();

        if ($this->c5_file) $filename = $this->application->id . '-c5.'.$this->c5_file->extension();
        $this->c5_file && $this->application->update([
            'c5_file' => $this->c5_file->storeAs('',  $filename, 'appendixa2'),
        ]);


        $this->emitSelf('notify-saved');
    }
    
    public function c5_fileExport()
    {
        return Storage::disk('appendixa2')->download($this->application->c5_file);
    }

    
}
