<?php

namespace App\Http\Livewire\Applications;


use App\Models\Application;
use App\Models\ApplicationFile;
use Livewire\Component;
use Illuminate\Support\Facades\Auth;
use App\Http\Livewire\DataTable\WithPerPagePagination;
use Livewire\WithFileUploads;
use Storage;


class Appendixfile extends Component
{
    use WithFileUploads, WithPerPagePagination;

    //public ApplicationFile $applicationFile;
    public $name_file='';
    public $name_description='';

    public $showDeleteModal = false;
    public $editing;

    
    public $application;

    public $search = '';
    public $sortField = 'name_description';
    public $sortDirection = 'asc';

    public function sortBy($field)
    {
        $this->sortDirection = $this->sortField === $field
            ? $this->sortDirection = $this->sortDirection === 'asc' ? 'desc' : 'asc'
            : 'asc';

        $this->sortField = $field;
    }
    

    //public function mount($applicationFile) { $this->applicationFile = $applicationFile; }
    protected $rules = [
        'name_description' => 'max:500',
        'name_file' => 'nullable|mimes:pdf|max:1048',
    ];

  

    public function save()
    {
        $this->validate();

        $newid = ApplicationFile::create([
            'application_id' => $this->application->id,
            'name_description' => $this->name_description,
        ])->id;

        $newFile = ApplicationFile::find($newid);
        if ($this->name_file) $filename = $newFile->application_id . '-file-'.$newid.'.'.$this->name_file->extension();
        $this->name_file && $newFile->update([
            'name_file' => $this->name_file->storeAs('',  $filename, 'appendixa2'),
        ]);


        $this->emitSelf('notify-saved');
    }
    
    public function name_fileExport($nameofthefile)
    {
        return Storage::disk('appendixa2')->download($nameofthefile);
    }

    public function confirm(ApplicationFile $applicationFile)
    {
        $this->showDeleteModal = true;
        $this->editing = $applicationFile;
    }

    public function delete(ApplicationFile $applicationFile)
    {

        Storage::disk('appendixa2')->delete($this->editing->name_file);
        $this->editing->delete();
        $this->showDeleteModal = false;
    }

    public function render()
    {
        
        $applicationFiles = ApplicationFile::where('application_id', $this->application->id)
        ->orderBy('name_description', 'asc')
        ->get();
        
        return view('livewire.applications.appendixfile', [
            'applicationFiles' => $applicationFiles,
        ]);
    }

    
}
