<?php

namespace App\Http\Livewire\Applications;


use Livewire\Component;
use App\Models\Application;
use App\Models\ApplicationHistory;
use App\Models\User;
use Illuminate\Support\Carbon;
use Illuminate\Support\Facades\Auth;
use Mail;


class Checklist extends Component
{

    public $showSetSubmitModal = false;

    public $isReady;    
    public $checkA1;
    public $checkA2;
    public $checkA3;
    public $checkA4;
    public $checkC1;
    public $checkc1Arr;    
    public $application;    
    public $editing;
    public $mailAddress;
   

    public function setSubmit(Application $application)
    {
        $this->showSetSubmitModal = true;
        $this->editing = $application;
    }

    public function setSubmitUpdate(Application $application)
    {

        if ($this->editing->status == 'Προσχέδιο') {
            $this->editing->date_assigned_ministry = now();    
        }
        $this->editing->date_submitted = now();
        if ($this->editing->status == 'Προσχέδιο') {
            $this->editing->status = "Υποβλήθηκε";
            $this->editing->state = 1; 

            //mail section
            $mailAddress = User::where('status',2)->first()->email;
            $data = array('name'=>"ΥΠΑΙΘ", 
            'title' => $this->editing->title, 
            'name' => $this->editing->name, 
            'tmima' => $this->editing->tmima, 
            'email' => Auth::user()->email );
            Mail::send('mail', $data, function($message) use ($mailAddress) {
               $message->to($mailAddress, 'ΥΠΑΙΘ')->subject
                  ('Υποβλήθηκε αίτηση!');
               $message->from('research@request.gr','Έγκριση έρευνας');
            });

            //action section
            ApplicationHistory::create([
                'application_id' => $this->editing->id,
                'action' => 'Υποβολή αίτησης',
            ]);

        } else {
            $this->editing->status = "Τροποποιήθηκε";
            $this->editing->state = 2;
            //$userEvaluator = $this->editing->user_evaluator;
            //mail section
            $mailAddress = User::find($this->editing->user_evaluator)->email;
            $data = array('name'=>"Χειριστής ΙΕΠ", 
            'title' => $this->editing->title, 
            'name' => $this->editing->name, 
            'tmima' => $this->editing->tmima, 
            'email' => Auth::user()->email );
            Mail::send('mail', $data, function($message) use ($mailAddress) {
            $message->to($mailAddress, 'Χειριστής ΙΕΠ')->subject
                ('Υποβλήθηκε Τροποποίηση αίτησης!');
            $message->from('research@request.gr','Έγκριση έρευνας');
            });

            //action section
            ApplicationHistory::create([
                'application_id' => $this->editing->id,
                'action' => 'Υποβολή τροποποίησης',
            ]);
        }
        $this->editing->save();

        $this->showSetSubmitModal = false;

        return redirect('/applications/dashboard'); 
    }  


}
