<?php

namespace App\Http\Livewire\Applications;


use App\Models\Application;
use App\Models\ApplicationHistory;
use Livewire\Component;
use Illuminate\Support\Facades\Auth;


class Create extends Component
{

    //public $userid;
    public $title = '';
    public $name = '';
    public $eponimia = '';
    public $phone = '';
    public $website = '';
    public $tmima = '';

    protected $rules = [
        'tmima' => 'required',
        'title' => 'required|min:6|max:500',
        'name' => 'required|min:6|max:200',
        'eponimia' => 'max:200',
    ];


    //an xreiastei na metaferv hidden metavliti tote tha prepei sto livewire create.blade.php na valo sto POST create("i timi tis metavlitis")
    //kai to public funtion na ginei public function create($userid)   
    public function create()   
    {

        $this->validate();

        $newid = Application::create([
            'user_id' => Auth::id(),  //den xreiazetai na paro timi apo to template giati vazo to id toy sindedemenou user
            'title' => $this->title,
            'name' => $this->name,
            'eponimia' => $this->eponimia,
            'phone' => $this->phone,
            'website' => $this->website,
            'tmima' => $this->tmima,
            'date' => now(),
            'status' => 'Προσχέδιο',
            'state' => 0, //0-prosxedio, 1-ypovlithike (ypourgeio), 2-IEP
        ])->id;
        
        ApplicationHistory::create([
            'application_id' => $newid,
            'action' => 'Δημιουργία αίτησης',
        ]);

        return redirect('/applications/preview/'.$newid); 

    }

    public function render()
    {
        return view('livewire.applications.create');
    }
}
