<?php

namespace App\Http\Livewire\Applications;

use Livewire\Component;

use App\Models\Application;
use App\Models\User;
use Illuminate\Support\Carbon;
use Illuminate\Support\Facades\Auth;
use App\Http\Livewire\DataTable\WithPerPagePagination;


class Dashboard extends Component
{

    use WithPerPagePagination;

    public $showDeleteModal = false;
    public $showIepModal = false;
    public $editing;

    public $search = '';
    public $sortField = 'date';
    public $sortDirection = 'desc';

    public function sortBy($field)
    {
        $this->sortDirection = $this->sortField === $field
            ? $this->sortDirection = $this->sortDirection === 'asc' ? 'desc' : 'asc'
            : 'asc';

        $this->sortField = $field;
    }
    

    public function confirm(Application $application)
    {
        $this->showDeleteModal = true;
        $this->editing = $application;
    }

    public function toiep(Application $application)
    {
        $this->showIepModal = true;
        $this->editing = $application;
    }

    public function delete(Application $application)
    {

      //  $application->delete();
        $this->editing->delete();
        $this->showDeleteModal = false;
    }

    public function toiepupdate(Application $application)
    {

        //$this->editing->delete();
        $this->editing->status = 'ΙΕΠ';
        $this->editing->save();
        $this->showIepModal = false;
    }



    public function render()
    {
        $searchvalue = $this->search;
        
        $applications = Application::where('user_id', Auth::id())
        ->whereNull('original_id')
        ->where(function($query) use ($searchvalue){
            $query->where('title','like', '%'.$searchvalue.'%')
                  ->orwhere('status','like', '%'.$searchvalue.'%');
        })
        ->orderBy($this->sortField, $this->sortDirection)
        ->paginate($this->perPage);
        
        return view('livewire.applications.dashboard', [
            'applications' => $applications,
        ]);
    }


}
