<?php

namespace App\Http\Livewire\Evaluator;


use App\Models\Application;
use App\Models\User;
use Livewire\Component;
use Illuminate\Support\Facades\Auth;
use Livewire\WithFileUploads;
use Storage;



class Writereport extends Component
{
    use WithFileUploads;

    public $evaluators;
    public Application $application;
    public $report_file;

    //public $userid;

    public function mount($application) { $this->application = $application; }

    protected $rules = [
        'application.report' => 'nullable|max:2000',
        'application.report_context' => 'nullable',
        'application.report_proposal' => 'nullable',
        'application.report_final' => 'nullable',
        'report_file' => 'nullable|mimes:pdf|max:1048',
    ];

    public function updated($report_file)
    {
        $this->validateOnly($report_file);
        
    }

    public function save()
    {
        $this->validate();
        $this->application->status = 'Έκθεση';
        //$this->application->state = 3;
        $this->application->save();

        if ($this->report_file) $filename = $this->application->id . '-report.'.$this->report_file->extension();
        $this->report_file && $this->application->update([
            'report_file' => $this->report_file->storeAs('',  $filename, 'appendixa2'),
        ]);


        $this->emitSelf('notify-saved');
    }

    public function report_fileExport()
    {
        return Storage::disk('appendixa2')->download($this->application->report_file);
    }
    
    

    
}
