<?php

namespace App\Http\Livewire\Iep;

use Livewire\Component;
use App\Models\Application;
use App\Models\ApplicationIep;
use App\Models\User;
use Illuminate\Support\Carbon;
use Illuminate\Support\Facades\Auth;
use App\Http\Livewire\DataTable\WithPerPagePagination;


class Applicationlist extends Component
{
    use WithPerPagePagination;

    public $showDeleteModal = false;
    public $showAssignEvaluatorModal = false;
    
    public $search = '';
    public $sortField = 'date';
    public $sortDirection = 'desc';

    public function sortBy($field)
    {
        $this->sortDirection = $this->sortField === $field
            ? $this->sortDirection = $this->sortDirection === 'asc' ? 'desc' : 'asc'
            : 'asc';

        $this->sortField = $field;
    }
    


    public function render()
    {

        $searchvalue = $this->search;
        $applications = Application::whereNotNull('date_assigned_ministry')
        ->whereNull('original_id')
        ->where(function($query) use ($searchvalue){
            $query->where('title','like', '%'.$searchvalue.'%')
                  ->orwhere('status','like', '%'.$searchvalue.'%');
        })
        ->orderBy($this->sortField, $this->sortDirection)
        ->paginate($this->perPage);


        $evaluators = User::where('status','4')->get();
        return view('livewire.iep.applicationlist', [
            'applications' => $applications,
            'evaluators' => $evaluators,
        ]);
    }


}
