<?php

namespace App\Http\Livewire\Iep;


use App\Models\Application;
use App\Models\ApplicationHistory;
use App\Models\User;
use Livewire\Component;
use Illuminate\Support\Facades\Auth;
use Mail;


class Assignevaluator extends Component
{
    public $evaluators;
    public Application $application;
    public $mailAddress;
    //public $userid;

    public function mount($application) { $this->application = $application; }

    protected $rules = [
        'application.user_evaluator' => 'required',
        
    ];

    public function save()
    {
        $this->validate();

        $this->application->save();
        
        //mail section
        $mailAddress = User::find($this->application->user_evaluator)->email;
        $data = array('name'=>"ΙΕΠ", 
        'title' => $this->application->title, 
        'name' => $this->application->name, 
        'tmima' => $this->application->tmima, 
        'email' => Auth::user()->email );
        Mail::send('mail', $data, function($message) use ($mailAddress) {
            $message->to($mailAddress, 'ΙΕΠ')->subject
                ('Ανάθεση αίτησης από ΙΕΠ!');
            $message->from('research@request.gr','Έγκριση έρευνας');
        });

        //action section
        ApplicationHistory::create([
            'application_id' => $this->application->id,
            'action' => 'Ανάθεση αίτησης σε χειριστή',
        ]);
        

        

        



        $this->emitSelf('notify-saved');
    }
    
    

    
}
