<?php

namespace App\Http\Livewire\Iep;

use Livewire\Component;
use App\Models\Application;
use App\Models\ApplicationIep;
use App\Models\User;
use Illuminate\Support\Carbon;
use Illuminate\Support\Facades\Auth;
use App\Http\Livewire\DataTable\WithPerPagePagination;


class Userlist extends Component
{
    use WithPerPagePagination;

    public $showDeleteModal = false;
    public $showSetEvaluatorModal = false;
    public $editing;

    public $search = '';
    public $sortField = 'name';
    public $sortDirection = 'desc';

    public function sortBy($field)
    {
        $this->sortDirection = $this->sortField === $field
            ? $this->sortDirection = $this->sortDirection === 'asc' ? 'desc' : 'asc'
            : 'asc';

        $this->sortField = $field;
    }

    public function confirm(User $user)
    {
        $this->showDeleteModal = true;
        $this->editing = $user;
    }

    public function setEvaluator(User $user)
    {
        $this->showSetEvaluatorModal = true;
        $this->editing = $user;
    }

    public function delete(User $user)
    {

      //  $application->delete();
        $this->editing->delete();
        $this->showDeleteModal = false;
    }

    public function setEvaluatorUpdate(User $user)
    {
        $this->editing->status = 4;
        $this->editing->save();

        $this->showSetEvaluatorModal = false;
    }



    public function render()
    {
        $searchvalue = $this->search;
        $users = User::where('id','!=', Auth::id())
        ->where(function($query) use ($searchvalue){
            $query->where('name','like', '%'.$searchvalue.'%')
                  ->orwhere('email','like', '%'.$searchvalue.'%');
        })
        ->orderBy($this->sortField, $this->sortDirection)
        ->paginate($this->perPage);

        return view('livewire.iep.userlist', [
            'users' => $users,
        ]);
    }


}
