<?php

namespace App\Models;

use Carbon\Carbon;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Notifications\Notifiable;
use Illuminate\Database\Eloquent\Model;
use Storage;

class ApplicationA2 extends Model
{
    use HasFactory;

    protected $table = 'applicationa2';

    protected $fillable = [
        'application_id',
        'a1a',
        'a1b_protocol',
        'a1b_year',
        'a1b_file',
        'a2',
        'a3_np',
        'a3_pr',
        'a3_gym',
        'a3_lyc',
        'a3_epal',
        'a3_eeeek',
        'a3_enegyl',
        'a3_sp_np',
        'a3_sp_pr',
        'a3_sp_gym',
        'a3_sp_lyc',
        'a3_pr_classes',
        'a3_gym_classes',
        'a3_lyc_classes',
        'a3_epal_classes',
        'a3_area_country',
        'a3_area',
        'b1a',
        'b1b',
        'b1c',
        'b2',
        'b3',
        'b4',
        'b5_financial',
        'b5_price',
        'b5_description',
        'b6a',
        'b6b',
        'b6b_description',
        'b7a',
        'b7b',
        'b7b_name',
        'b7b_file',
        'b8_students',
        'b8_students_file',
        'b8_teachers',
        'b8_teachers_file',
        'b8_interview',
        'b8_other',
        'c1',
        'c2',
        'c3',
        'c4',
        'c5',
        'c6',
        'c7',
        'c8',
        'c9',                       
    ];


    public function isuploadedA1b_file()
    {
        return $this->a1b_file           
            ? true
            : false;
    }


    public function isuploadedB7b_file()
    {
        return $this->b7b_file
            //? Storage::disk('appendixa2')->url($this->b7b_file)
            ? true
            : false;
    }

    public function isuploadedB8_students_file()
    {
        return $this->b8_students_file            
            ? true
            : false;
    }

    public function isuploadedB8_teachers_file()
    {
        return $this->b8_teachers_file           
            ? true
            : false;
    }


    public function application()
    {
        return $this->belongsTo('App\Models\Application');
    }


}
