<?php

namespace App\Models;

use Carbon\Carbon;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Notifications\Notifiable;
use Illuminate\Database\Eloquent\Model;
use Storage;

class ApplicationB1 extends Model
{
    use HasFactory;

    protected $table = 'applicationb1';

    protected $fillable = [
        'application_id',
        's1',
        's2',
        's3',
        's4',
        's5_name',
        's5_address',
        's5_contactperson_name',
        's5_contactperson_email',
        's5_contactperson_phone',
        's6',
        's7_np',
        's7_pr' ,
        's7_gym' ,
        's7_lyc' ,
        's7_epal' ,
        's7_eeeek' ,
        's7_enegyl' ,
        's7_sp_np' ,
        's7_sp_pr' ,
        's7_sp_gym' ,
        's7_sp_lyc' ,
        's7_music' ,        
        's7_church' ,
        's7_pr_classes' ,
        's7_gym_classes' ,
        's7_lyc_classes' ,
        's7_epal_classes' ,
        's7_area_country' ,
        's7_area' ,
        's8_inschool' ,
        's8_inschool_description',
        's8_offschool' ,
        's8_offschool_description',
        's9_anytime' ,
        's9_specifictime' ,
        's9_specifictime_description' ,
        's10' => 'max:500',
        's11' ,
        's11_description',
        's12' ,
        's12_description',
        's13' ,
        's14_students' ,
        's14_students_file' ,
        's14_teachers' ,
        's14_teachers_file',
        's14_interview' ,
        's14_other' ,
        's15_file' ,                      
    ];


    public function isuploadedS15_file()
    {
        return $this->s15_file           
            ? true
            : false;
    }


    public function isuploadedS14_students_file()
    {
        return $this->s14_students_file            
            ? true
            : false;
    }

    public function isuploadedS14_teachers_file()
    {
        return $this->s14_teachers_file           
            ? true
            : false;
    }


    public function application()
    {
        return $this->belongsTo('App\Models\Application');
    }


}
