<?php

namespace App\Models;

use Carbon\Carbon;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Notifications\Notifiable;
use Illuminate\Database\Eloquent\Model;
use Storage;

class ApplicationC1 extends Model
{
    use HasFactory;

    protected $table = 'applicationc1';

    protected $fillable = [
        'application_id',
        'title',
        'abstract',
        'keywords',
        'main_topic_category',
        'main_topic',
        'name_researcher',
        'name_researcher_group',
        'name_professor',
        'organisation_name',
        'organisation_address',
        'organisation_phone',
        'funding_name',
        'researcher_status',
        'researcher_address',
        'researcher_phone',
        'researcher_email',
        'research_duration',
        'research_estimate_complete_month',
        'research_estimate_complete_year',
        'sample',
        'number_of_schools',
        'research_area',
        'educational_structure',
        'sample_research',
        'st1',
        'st2',
        'st3',
        'st4',
        'st5',
        'st6',
        'st7',
        'st8',
        'st9',
        'st10',
        'st11',
        'st12',
        'st_other',
    ];


    public function application()
    {
        return $this->belongsTo('App\Models\Application');
    }


}
