<?php

namespace App\Models;

use Carbon\Carbon;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Notifications\Notifiable;
use Illuminate\Database\Eloquent\Model;
use Storage;

class ApplicationHistory extends Model
{
    use HasFactory;

    protected $table = 'applicationhistory';

    protected $fillable = [
        'application_id',
        'action',
        'comments',
    ];


    public function application()
    {
        return $this->belongsTo('App\Models\Application');
    }

    public function getDateForHumansAttribute()
    {
        return $this->created_at->format('d M Y');
    }
}
