<x-app-layout>
    <x-slot name="header">
        <h2 class="font-semibold text-xl text-gray-800 leading-tight">
            {{ __('Ιστορικό αίτησης') }} 
        </h2>
    </x-slot>
    <div class="py-12">
        <div class="max-w-8xl mx-auto sm:px-6 lg:px-8">
            <div class="bg-white overflow-hidden shadow-xl sm:rounded-lg">

                <div class="flex-col space-y-4  p-2">    
                    <x-table>
                        <x-slot name="head">
                            <x-table.heading sortable> Ημερομηνια </x-table.heading>
                            <x-table.heading sortable> Ιστορικο </x-table.heading>

                        </x-slot>
                        <x-slot name="body">
                            @forelse ($applicationHistory as $applicationAction)
                                <x-table.row>
                                    <x-table.cell>{{ $applicationAction->date_for_humans }}</x-table.cell>
                                    <x-table.cell>
                                        <span href="#" class="inline-flex space-x-2 truncate text-sm leading-5">
                                            <p class="text-cool-gray-600 truncate">
                                                {{$applicationAction->action}}
                                            </p>
                                        </span>
                                    </x-table.cell>
                                </x-table.row>
                            @empty
                                <x-table.row>
                                    <x-table.cell colspan="4">
                                        <div class="flex justify-center items-center space-x-2">
                                            <x-icon.clipboard class="h-8 w-8 text-cool-gray-400" />
                                            <span class="font-small py-8 text-cool-gray-400 text-xl">Δεν βρέθηκαν εγγραφές...</span>
                                        </div>
                                    </x-table.cell>
                                </x-table.row>
                            @endforelse

                        </x-slot>
                    </x-table>
                    <div>
                        <button type="button" class="bg-pink-300 hover:bg-pink-400 text-gray-800 font-bold py-2 px-4 rounded-full">
                            <a href="
                            @if (Auth::user()->isMinistry())
                                {{url('/ministry/applicationlist')}}
                            @elseif (Auth::user()->isIep())
                                {{url('/iep/applicationlist')}}
                            @elseif (Auth::user()->isEvaluator())
                                {{url('/evaluator/applicationlist')}}                
                            @else
                                {{url('/applications/dashboard')}}
                            @endif
                            
                            "><x-icon.arrowleft class="text-cool-gray-400"/>Επιστροφή</a>
                        </button>                    
                    </div>
                </div>                
            </div>
        </div>
    </div>
    
</x-app-layout>

