<!DOCTYPE html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta name="csrf-token" content="{{ csrf_token() }}">

        <title>{{ config('app.name', 'IEP') }}</title>

        <!-- Tailwind UI -->
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/@tailwindcss/ui@latest/dist/tailwind-ui.min.css">
        <link href="https://fonts.googleapis.com/css2?family=Baloo+Paaji+2&display=swap" rel="stylesheet">

        <!-- Alpine -->
        <script src="https://cdn.jsdelivr.net/gh/alpinejs/alpine@v2.x.x/dist/alpine.min.js" defer></script>

        <!-- Fonts -->
        <link rel="stylesheet" href="https://fonts.googleapis.com/css2?family=Nunito:wght@400;600;700&display=swap">

        <!-- Styles -->
        <link rel="stylesheet" href="{{ asset('css/app.css') }}">

        @livewireStyles

        <!-- Scripts -->
        <script src="https://cdn.jsdelivr.net/gh/alpinejs/alpine@v2.7.0/dist/alpine.js" defer></script>
    </head>
    <body class="font-sans antialiased">
        <div class="min-h-screen bg-gray-100">
            @livewire('navigation-dropdown')

             <!-- Page Heading -->
             <header class="bg-white shadow">
                        <div class="max-w-7xl mx-auto py-6 px-4 sm:px-6 lg:px-8">
                            {{ $header }}
                        </div>
                    </header>

            <div class="flex">
                <div class="w-1/6 bg-cool-gray-200">
                    <div class="py-4">
                    <h1 class="text-2xl font-semibold text-gray-900 px-2"> Έντυπα</h1>            

                        {{ $naventypa }}

                    <!-- Sidebar component, swap this element with another sidebar if you like -->
                    
                </div>
                </div>
                <div class="w-5/6">   


                   

                    <!-- Page Content -->
                    <main>
                        {{ $slot }}
                    </main>

                </div>
            </div>
            
        </div>

        @stack('modals')

        @livewireScripts
    </body>
</html>
