<form wire:submit.prevent="save">

<div class="grid grid-cols-1 gap-4">
    <div class="py-4 px-4">            
        <div class="flex-col space-y-4">    
            <h1 class="text-2xl font-semibold text-gray-900"> Α. ΒΑΣΙΚΑ ΣΤΟΙΧΕΙΑ ΤΟΥ ΠΡΟΓΡΑΜΜΑΤΟΣ</h1>
            Α.1. Η παρούσα αίτηση αφορά σε εκπαιδευτικό πρόγραμμα που υποβάλλεται προς έγκριση για εφαρμογή:
            <br>
            Α) για πρώτη φορά για το σχολικό έτος 
            <x-input.group label=" " for="a1a" inline="true" :error="$errors->first('applicationA2.a1a')">
                <x-input.text wire:model.lazy="applicationA2.a1a" id="a1a"  />
            </x-input.group>
            <br>
            Β) είχε υλοποιηθεί κατόπιν της έγκρισης Υ.ΠΑΙ.Θ. με αριθμ. πρωτ. 
            <x-input.group label="" for="a1b_protocol" inline="true" :error="$errors->first('applicationA2.a1b_protocol')">
                <x-input.text wire:model.lazy="applicationA2.a1b_protocol" id="a1b_protocol"  />
            </x-input.group>
            <br>
            για το σχολικό έτος
            <x-input.group label=" " for="a1b_year" inline="true" :error="$errors->first('applicationA2.a1b_year')">
                <x-input.text wire:model.lazy="applicationA2.a1b_year" id="a1b_year"  />
            </x-input.group>
            (αναφέρετε όλες τις σχετικές αποφάσεις και επισυνάψτε αντίγραφο της τελευταίας έγκρισης) 
            <x-input.group2 label="Απόφαση τελευταίας έγκρισης" for="a1b_file" inline="true" :error="$errors->first('a1b_file')">
            @if (Auth::user()->canEditApplication($applicationA2->application))
                <x-input.file-upload wire:model="a1b_file" id="a1b_file" >
                    @if ($a1b_file)
                        {{ $a1b_file->getClientOriginalName()}}
                    @elseif ($applicationA2->isuploadedA1b_file())
                        <button wire:click="a1b_fileExport" class="inline-flex justify-center py-2 px-4 border border-transparent text-sm leading-5 font-medium rounded-md text-grey bg-indigo-100 hover:bg-indigo-200 focus:outline-none focus:border-indigo-700 focus:shadow-outline-indigo active:bg-indigo-700 transition duration-150 ease-in-out">
                            Δείτε το αρχείο που ανεβάσατε
                        </button>
                    @endif
                </x-input>
            @else
                @if ($applicationA2->isuploadedA1b_file())
                        <button wire:click="a1b_fileExport" class="inline-flex justify-center py-2 px-4 border border-transparent text-sm leading-5 font-medium rounded-md text-grey bg-indigo-100 hover:bg-indigo-200 focus:outline-none focus:border-indigo-700 focus:shadow-outline-indigo active:bg-indigo-700 transition duration-150 ease-in-out">
                            Δείτε το αρχείο που ανεβάσατε
                        </button>
                @else
                    Δεν έχει ανέβει αρχείο.    
                @endif
            @endif
            </x-input.group2>
            <div wire:loading wire:target="a1b_file">Uploading...</div>

            <br>
            Α.2. Σύντομη περιγραφή του προτεινόμενου προγράμματος (σκοπιμότητα, στόχοι, περιεχόμενο):  
            <x-input.group label=" " for="a2" inline="true" :error="$errors->first('applicationA2.a2')">
                <x-input.textarea wire:model.lazy="applicationA2.a2" id="a2"  />
            </x-input.group>
            (έως 200 λέξεις)<br>
            Επισημαίνεται ότι σε περίπτωση έγκρισης του προγράμματος, η περιγραφή αυτή θα δημοσιευθεί στην ιστοσελίδα του ΥΠΑΙΘ http://edu-gate.minedu.gov.gr/ και θα συνοδεύει το έγγραφο της έγκρισης του προγράμματος.
            <br><br>
            Α.3. Το προτεινόμενο πρόγραμμα απευθύνεται σε:
            <br>
            <div class="grid grid-cols-3 gap-4">
                <div>
                    <x-input.checkbox wire:model.lazy="applicationA2.a3_np" id="a3_np" label="Νηπιαγωγείο" />
                </div> 
                <div>
                    <x-input.checkbox wire:model.lazy="applicationA2.a3_sp_np" id="a3_sp_np" label="Ειδικό Νηπιαγωγείο" />
                </div>
                <div>
                    
                </div>
            </div>
            <div class="grid grid-cols-3 gap-4">
                <div>
                    <x-input.checkbox wire:model.lazy="applicationA2.a3_pr" id="a3_pr" label="Δημοτικό" />
                </div> 
                <div>
                    <x-input.checkbox wire:model.lazy="applicationA2.a3_sp_pr" id="a3_sp_pr" label="Ειδικό Δημοτικό" />
                </div>
                <div>
                    <x-input.texth8 wire:model.lazy="applicationA2.a3_pr_classes" id="a3_pr_classes" leadingAddOn="Αναφέρατε τις Τάξεις" />
                </div>
            </div>
            <div class="grid grid-cols-3 gap-4">
                <div>
                    <x-input.checkbox wire:model.lazy="applicationA2.a3_gym" id="a3_gym" label="Γυμνάσιο" />
                </div> 
                <div>
                    <x-input.checkbox wire:model.lazy="applicationA2.a3_sp_gym" id="a3_sp_gym" label="Ειδικό Γυμνάσιο" />
                </div>
                <div>
                    <x-input.texth8 wire:model.lazy="applicationA2.a3_gym_classes" id="a3_gym_classes" leadingAddOn="Αναφέρατε τις Τάξεις" />
                </div>
            </div>
            <div class="grid grid-cols-3 gap-4">
                <div>
                    <x-input.checkbox wire:model.lazy="applicationA2.a3_lyc" id="a3_lyc" label="Γενικό Λύκειο" />
                </div> 
                <div>
                    <x-input.checkbox wire:model.lazy="applicationA2.a3_sp_lyc" id="a3_sp_lyc" label="Ειδικό Λύκειο" />
                </div>
                <div>
                    <x-input.texth8 wire:model.lazy="applicationA2.a3_lyc_classes" id="a3_lyc_classes" leadingAddOn="Αναφέρατε τις Τάξεις" />
                </div>
            </div>
            <div class="grid grid-cols-3 gap-4">
                <div>
                    <x-input.checkbox wire:model.lazy="applicationA2.a3_epal" id="a3_epal" label="Επαγγελματικό Λύκειο" />
                </div> 
                <div>
                    
                </div>
                <div>
                    <x-input.texth8 wire:model.lazy="applicationA2.a3_epal_classes" id="a3_epal_classes" leadingAddOn="Αναφέρατε τις Τάξεις" />
                </div>
            </div>
            <div class="grid grid-cols-3 gap-4">
                <div>
                    <x-input.checkbox wire:model.lazy="applicationA2.a3_eeeek" id="a3_eeeek" label="Ε.Ε.Ε.Ε.Κ." />
                </div> 
                <div>
                    <x-input.checkbox wire:model.lazy="applicationA2.a3_enegyl" id="a3_enegyl" label="ΕΝ.Ε.Ε.ΓΥ.Λ." />
                </div>
                <div>
                  
                </div>
            </div>
            <div class="grid grid-flow-col auto-cols-max">
                <div>
                    <x-input.checkbox wire:model.lazy="applicationA2.a3_area_country" id="a3_area_country" label="Σχολεία όλης της χώρας" />
                </div> 
                <div>
                    <x-input.texth8 wire:model.lazy="applicationA2.a3_area" id="a3_area" leadingAddOn="συγκεκριμένης περιοχής (προσδιορίστε):" />
                </div>
                <div>
                  
                </div>
            </div>  
        </div>
        @if (Auth::user()->canEditApplication($applicationA2->application))
        <div class="mt-8 mb-5 mr-5 border-t border-gray-200 pt-5">
            <div class="space-x-3 flex justify-end items-center">
            <span x-data="{ open: false }" x-init="
                        @this.on('notify-saved', () => {
                            if (open === false) setTimeout(() => { open = false }, 2500);
                            open = true;
                        })
                    " x-show.transition.out.duration.1000ms="open" style="display: none;" class="text-gray-500">Saved!</span>

                <span class="inline-flex rounded-md shadow-sm">
                    <button type="submit" class="inline-flex justify-center py-2 px-4 border border-transparent text-sm leading-5 font-medium rounded-md text-white bg-indigo-600 hover:bg-indigo-500 focus:outline-none focus:border-indigo-700 focus:shadow-outline-indigo active:bg-indigo-700 transition duration-150 ease-in-out">
                        Save
                    </button>
                </span>
            </div>
        </div>
        @endif
        <div class="flex-col space-y-4">    
            <h1 class="text-2xl font-semibold text-gray-900"> B. ΕΚΠΑΙΔΕΥΤΙΚΑ ΚΡΙΤΗΡΙΑ</h1>   
            Β.1.  Ομάδα-στόχος του προγράμματος είναι:
            <div class="grid grid-flow-col auto-cols-max">
                <div>
                    <x-input.checkbox wire:model.lazy="applicationA2.b1a" id="b1a" label="α. Μαθητές/-ήτριες" />
                </div> 
                <div>
                    <x-input.checkbox wire:model.lazy="applicationA2.b1b" id="b1b" label="β. Εκπαιδευτικοί" />
                </div>
                <div>
                    <x-input.checkbox wire:model.lazy="applicationA2.b1c" id="b1c" label="γ. Γονείς/κηδεμόνες" />
                </div>
            </div>  
            <br>
            Β.2.  Το προτεινόμενο πρόγραμμα προβλέπει διαφοροποιήσεις στην προσέγγιση ή διευκολύνσεις ώστε να μπορούν να παρακολουθούν όλα τα παιδιά της σχολικής τάξης ανεξαρτήτως μαθησιακού, κοινωνικού-πολιτισμικού υποβάθρου (π.χ. ειδικών εκπαιδευτικών αναγκών ή/και αναπηρία, Ελληνική  γλώσσα ως δεύτερη ή ως ξένη γλώσσα, διαφορετικό κοινωνικό-πολιτισμικό υπόβαθρο)
            <br>
            <x-input.checkbox wire:model.lazy="applicationA2.b2" id="b2" label="NAI" />
            <br>
            Β.3.  Αν έχει υπάρξει πιλοτική εφαρμογή, αναφέρετε συνοπτικά τα κύρια αποτελέσματα: 
            <br>
            <x-input.group label=" " for="b3" inline="true" :error="$errors->first('applicationA2.b3')">
                <x-input.textarea wire:model.lazy="applicationA2.b3" id="b3"  />
            </x-input.group>
            (έως 100 λέξεις)
            <br><br>
            Β.4. Πόσος χρόνος απαιτείται για την ανάπτυξη – εφαρμογή του προτεινόμενου προγράμματος; 
            <br>
            <x-input.group label="Επιλέξτε αριθμό διδακτικών ώρων" for="b4" inline="true" :error="$errors->first('applicationA2.b4')">
                <x-input.select wire:model="applicationA2.b4"  placeholder="Επιλέξτε αριθμό ωρών">
                    <option value="1">1</option>
                    <option value="2">2</option>
                    <option value="3">3</option>
                    <option value="4">4</option>
                    <option value="5">5 (για Ειδικά σχολεία)</option>
                    <option value="6">6 (για Ειδικά σχολεία)</option>
                </x-input.select>
            </x-input.group>
            <br>
        
            Β.5.  Για την εφαρμογή του προτεινόμενου εκπαιδευτικού προγράμματος, απαιτείται οικονομική επιβάρυνση των συμμετεχόντων/-ουσών μαθητών/-τριών;
            <br>
            <x-input.checkbox wire:model.lazy="applicationA2.b5_financial" id="b5_financial" label="NAI" />
            Εάν ναι, προσδιορίστε το ακριβές κόστος ανά μαθητή/-ήτρια, εκπαιδευτικό ή σχολική μονάδα:
            <x-input.texth8 wire:model.lazy="applicationA2.b5_price" id="b5_price" />
            Η παραπάνω οικονομική επιβάρυνση θα καλυφθεί από: 
            <x-input.texth8 wire:model.lazy="applicationA2.b5_description" id="b5_description" />
            <br>

            Β.6. Το προτεινόμενο πρόγραμμα/υλικό προβλέπεται να υλοποιηθεί:
            <x-input.checkbox wire:model.lazy="applicationA2.b6a" id="b6a" label="α. οποιαδήποτε χρονική περίοδο  της σχολικής χρονιάς" />
            <x-input.checkbox wire:model.lazy="applicationA2.b6b" id="b6b" label="β. σε συγκεκριμένη χρονική περίοδο της σχολικής χρονιάς" />
            <x-input.texth8 wire:model.lazy="applicationA2.b6b_description" id="b6b_description" leadingAddOn="προσδιορίστε:" />

            Β.7. Το προτεινόμενο πρόγραμμα/ υλικό θα εφαρμοστεί από:
            <x-input.checkbox wire:model.lazy="applicationA2.b7a" id="b7a" label="α. τον/την εκπαιδευτικό της τάξης" />
            <x-input.checkbox wire:model.lazy="applicationA2.b7b" id="b7b" label="β. άλλο πρόσωπο" />
            <x-input.texth8 wire:model.lazy="applicationA2.b7b_name" id="b7b_name" leadingAddOn="Όνομα:" />
            <br>
            επισυνάπτεται βιογραφικό <br>
            <x-input.group2 label="Βιογραφικό" for="b7b_filex" inline="true" :error="$errors->first('b7b_file')">
            @if (Auth::user()->canEditApplication($applicationA2->application))
                <x-input.file-upload wire:model="b7b_file" id="b7b_filex" >
                @if ($b7b_file)
                    {{ $b7b_file->getClientOriginalName()}}
                @elseif ($applicationA2->isuploadedB7b_file())
                            <button wire:click="b7b_fileExport" class="inline-flex justify-center py-2 px-4 border border-transparent text-sm leading-5 font-medium rounded-md text-grey bg-indigo-100 hover:bg-indigo-200 focus:outline-none focus:border-indigo-700 focus:shadow-outline-indigo active:bg-indigo-700 transition duration-150 ease-in-out">
                                Δείτε το αρχείο που ανεβάσατε
                            </button>
                @endif
                </x-input>
            @else
                @if ($applicationA2->isuploadedB7b_file())
                            <button wire:click="b7b_fileExport" class="inline-flex justify-center py-2 px-4 border border-transparent text-sm leading-5 font-medium rounded-md text-grey bg-indigo-100 hover:bg-indigo-200 focus:outline-none focus:border-indigo-700 focus:shadow-outline-indigo active:bg-indigo-700 transition duration-150 ease-in-out">
                                Δείτε το αρχείο που ανεβάσατε
                            </button>
                @else
                    Δεν έχει ανέβει αρχείο.    
                @endif
            @endif 
            </x-input.group2>
            
            <div wire:loading wire:target="b7b_file">Uploading...</div>
                        
            <br>

            Β.8. Η αξιολόγηση-αποτίμηση του προγράμματος γίνεται με τη μορφή; 
            <x-input.checkbox wire:model.lazy="applicationA2.b8_students" id="b8_students" label="Ερωτηματολόγιο προς τους/τις μαθητές/-ήτριες - επισυνάπτεται" />
            <x-input.group2 label="Ερωτηματολόγιο μαθητών" for="b8_students_file" inline="true" :error="$errors->first('b8_students_file')">
            @if (Auth::user()->canEditApplication($applicationA2->application))
                <x-input.file-upload wire:model="b8_students_file" id="b8_students_file" >
                @if ($b8_students_file)
                    {{ $b8_students_file->getClientOriginalName()}}
                @elseif ($applicationA2->isuploadedB8_students_file())
                        <button wire:click="b8_students_fileExport" class="inline-flex justify-center py-2 px-4 border border-transparent text-sm leading-5 font-medium rounded-md text-grey bg-indigo-100 hover:bg-indigo-200 focus:outline-none focus:border-indigo-700 focus:shadow-outline-indigo active:bg-indigo-700 transition duration-150 ease-in-out">
                            Δείτε το αρχείο που ανεβάσατε
                        </button>
                @endif
                </x-input>
            @else
                @if ($applicationA2->isuploadedB8_students_file())
                        <button wire:click="b8_students_fileExport" class="inline-flex justify-center py-2 px-4 border border-transparent text-sm leading-5 font-medium rounded-md text-grey bg-indigo-100 hover:bg-indigo-200 focus:outline-none focus:border-indigo-700 focus:shadow-outline-indigo active:bg-indigo-700 transition duration-150 ease-in-out">
                            Δείτε το αρχείο που ανεβάσατε
                        </button>
                @else
                    Δεν έχει ανέβει αρχείο.    
                @endif
            @endif 
            </x-input.group2>
            <div wire:loading wire:target="b8_students_file">Uploading...</div>

            <x-input.checkbox wire:model.lazy="applicationA2.b8_teachers" id="b8_teachers" label="Ερωτηματολόγιο προς τους/τις εκπαιδευτικούς - επισυνάπτεται" />
            <x-input.group2 label="Ερωτηματολόγιο εκπαιδευτικών" for="b8_teachers_file" inline="true" :error="$errors->first('b8_teachers_file')">
            @if (Auth::user()->canEditApplication($applicationA2->application))
                <x-input.file-upload wire:model="b8_teachers_file" id="b8_teachers_file" >
                @if ($b8_teachers_file)
                    {{ $b8_teachers_file->getClientOriginalName()}}
                @elseif ($applicationA2->isuploadedB8_teachers_file())
                        <button wire:click="b8_teachers_fileExport" class="inline-flex justify-center py-2 px-4 border border-transparent text-sm leading-5 font-medium rounded-md text-grey bg-indigo-100 hover:bg-indigo-200 focus:outline-none focus:border-indigo-700 focus:shadow-outline-indigo active:bg-indigo-700 transition duration-150 ease-in-out">
                            Δείτε το αρχείο που ανεβάσατε
                        </button>
                @endif
                </x-input>
            @else
                @if ($applicationA2->isuploadedB8_teachers_file())
                        <button wire:click="b8_teachers_fileExport" class="inline-flex justify-center py-2 px-4 border border-transparent text-sm leading-5 font-medium rounded-md text-grey bg-indigo-100 hover:bg-indigo-200 focus:outline-none focus:border-indigo-700 focus:shadow-outline-indigo active:bg-indigo-700 transition duration-150 ease-in-out">
                            Δείτε το αρχείο που ανεβάσατε
                        </button>
                @else
                    Δεν έχει ανέβει αρχείο.    
                @endif
            @endif 
            </x-input.group2>
            <div wire:loading wire:target="b8_teachers_file">Uploading...</div>                
            <x-input.texth8 wire:model.lazy="applicationA2.b8_interview" id="b8_interview" leadingAddOn="Συνέντευξη από: " />
            <x-input.texth8 wire:model.lazy="applicationA2.b8_other" id="b8_other" leadingAddOn="Άλλο: " />
            <br>
        </div>
        @if (Auth::user()->canEditApplication($applicationA2->application))
        <div class="mt-8 mb-5 mr-5 border-t border-gray-200 pt-5">
            <div class="space-x-3 flex justify-end items-center">
            <span x-data="{ open: false }" x-init="
                        @this.on('notify-saved', () => {
                            if (open === false) setTimeout(() => { open = false }, 2500);
                            open = true;
                        })
                    " x-show.transition.out.duration.1000ms="open" style="display: none;" class="text-gray-500">Saved!</span>

                <span class="inline-flex rounded-md shadow-sm">
                    <button type="submit" class="inline-flex justify-center py-2 px-4 border border-transparent text-sm leading-5 font-medium rounded-md text-white bg-indigo-600 hover:bg-indigo-500 focus:outline-none focus:border-indigo-700 focus:shadow-outline-indigo active:bg-indigo-700 transition duration-150 ease-in-out">
                        Save
                    </button>
                </span>
            </div>
        </div>
        @endif
        <div class="flex-col space-y-4">    
            <h1 class="text-2xl font-semibold text-gray-900">Γ. ΠΑΙΔΑΓΩΓΙΚΑ KAI EΠΙΣΤΗΜΟΝΙΚΑ ΚΡΙΤΗΡΙΑ </h1>
            (στο πεδίο αυτό συμπληρώνετε ευσύνοπτα τα ειδικά στοιχεία που συνιστούν λόγους για την έγκρισή του) <br><br>
            Το υποβαλλόμενο εκπαιδευτικό πρόγραμμα<br>
            <x-input.group label="•	Στοχεύει στην επίτευξη προκαθορισμένου στόχου μέσα από οργανωμένες δράσεις. Διευκρινίστε πώς:" for="c1" inline="true" :error="$errors->first('applicationA2.c1')">
                <x-input.textarea wire:model.lazy="applicationA2.c1" id="c1"  />
            </x-input.group>
            <x-input.group label="•	Προβάλλει ουσιαστικές, επίκαιρες και επιστημονικά ακριβείς γνώσεις. Διευκρινίστε πώς:" for="c2" inline="true" :error="$errors->first('applicationA2.c2')">
                <x-input.textarea wire:model.lazy="applicationA2.c2" id="c2"  />
            </x-input.group>
            <x-input.group label="•	Συνάδει με τα Προγράμματα Σπουδών και συμβάλλει στον εμπλουτισμό και στην εξέλιξη των διδακτικών τους στόχων. Διευκρινίστε σε ποια περιοχή:" for="c3" inline="true" :error="$errors->first('applicationA2.c3')">
                <x-input.textarea wire:model.lazy="applicationA2.c3" id="c3"  />
            </x-input.group>
            <x-input.group label="•	Υποστηρίζει το σχολείο να αντεπεξέλθει στις σύγχρονες προκλήσεις και ανάγκες. Διευκρινίστε πώς:" for="c4" inline="true" :error="$errors->first('applicationA2.c4')">
                <x-input.textarea wire:model.lazy="applicationA2.c4" id="c4"  />
            </x-input.group>
            <x-input.group label="•	Είναι συμβατό με τις αρχές της σύγχρονης παιδαγωγικής (π.χ. συμπερίληψη,  βιωματική μάθηση, ερευνητική-ανακαλυπτική μάθηση, κ.λπ.). Διευκρινίστε πώς:" for="c5" inline="true" :error="$errors->first('applicationA2.c5')">
                <x-input.textarea wire:model.lazy="applicationA2.c5" id="c5"  />
            </x-input.group>
            <x-input.group label="•	Είναι παιδαγωγικά κατάλληλο για την ηλικιακή ομάδα, στην οποία απευθύνεται, και αφορά το σύνολο του μαθητικού πληθυσμού, στον οποίο απευθύνεται. Διευκρινίστε πώς: " for="c6" inline="true" :error="$errors->first('applicationA2.c6')">
                <x-input.textarea wire:model.lazy="applicationA2.c6" id="c6"  />
            </x-input.group>
            <x-input.group label="•	Σέβεται και υποστηρίζει τα διαφορετικά στυλ μάθησης και τις διαφορετικές δυνατότητες πρόσβασης στη γνώση. Διευκρινίστε πώς: " for="c7" inline="true" :error="$errors->first('applicationA2.c7')">
                <x-input.textarea wire:model.lazy="applicationA2.c7" id="c7"  />
            </x-input.group>
            <x-input.group label="•	Προάγει τις αρχές του σεβασμού, της δημοκρατικής συνύπαρξης, της μη βίαιης επίλυσης συγκρούσεων και της αλληλεγγύης τόσο στο κοινωνικό πλαίσιο μάθησης όσο και στην ευρύτερη του σχολείου κοινότητα. Διευκρινίστε πώς:" for="c8" inline="true" :error="$errors->first('applicationA2.c8')">
                <x-input.textarea wire:model.lazy="applicationA2.c8" id="c8"  />
            </x-input.group>
            <x-input.group label="•	Πληροί κανόνες προσβασιμότητας στην αναπηρία, καθώς και τους ισχύοντες κανόνες ασφάλειας και υγιεινής. Διευκρινίστε πώς:" for="c9" inline="true" :error="$errors->first('applicationA2.c9')">
                <x-input.textarea wire:model.lazy="applicationA2.c9" id="c9"  />
            </x-input.group>
        </div> 
    </div>
    @if (Auth::user()->canEditApplication($applicationA2->application))
    <div class="mt-8 mb-5 mr-5 border-t border-gray-200 pt-5">
        <div class="space-x-3 flex justify-end items-center">
        <span x-data="{ open: false }" x-init="
                    @this.on('notify-saved', () => {
                        if (open === false) setTimeout(() => { open = false }, 2500);
                        open = true;
                    })
                " x-show.transition.out.duration.1000ms="open" style="display: none;" class="text-gray-500">Saved!</span>

            <span class="inline-flex rounded-md shadow-sm">
                <button type="submit" class="inline-flex justify-center py-2 px-4 border border-transparent text-sm leading-5 font-medium rounded-md text-white bg-indigo-600 hover:bg-indigo-500 focus:outline-none focus:border-indigo-700 focus:shadow-outline-indigo active:bg-indigo-700 transition duration-150 ease-in-out">
                    Save
                </button>
            </span>
        </div>
    </div>
    @endif
    
</form>
