<form wire:submit.prevent="save">

<div class="grid grid-cols-1 gap-4">
    <div class="py-4 px-4">            
        <div class="flex-col space-y-4">    
            <h1 class="text-2xl font-semibold text-gray-900">Υπεύθυνη Δήλωση </h1>
            
            <x-input.group2 label="" for="a4_file" inline="true" :error="$errors->first('a4_file')">
            @if (Auth::user()->canEditApplication($application))
                <x-input.file-upload wire:model="a4_file" id="a4_file" >
                    @if ($a4_file)
                        {{ $a4_file->getClientOriginalName()}}
                    @elseif ($application->isuploadedA4_file())
                        <button wire:click="a4_fileExport" class="inline-flex justify-center py-2 px-4 border border-transparent text-sm leading-5 font-medium rounded-md text-grey bg-indigo-100 hover:bg-indigo-200 focus:outline-none focus:border-indigo-700 focus:shadow-outline-indigo active:bg-indigo-700 transition duration-150 ease-in-out">
                            Δείτε το αρχείο που ανεβάσατε
                        </button>
                    @endif
                </x-input>
            @else
                @if ($application->isuploadedA4_file())
                        <button wire:click="a4_fileExport" class="inline-flex justify-center py-2 px-4 border border-transparent text-sm leading-5 font-medium rounded-md text-grey bg-indigo-100 hover:bg-indigo-200 focus:outline-none focus:border-indigo-700 focus:shadow-outline-indigo active:bg-indigo-700 transition duration-150 ease-in-out">
                            Δείτε το αρχείο που ανεβάσατε
                        </button>
                @else
                        Δεν έχει ανέβει αρχείο.
                @endif
            @endif 
            </x-input.group2>
            <div wire:loading wire:target="a4_file">Uploading...</div>
        </div>
        @if (Auth::user()->canEditApplication($application))
        <div class="mt-8 mb-5 mr-5 border-t border-gray-200 pt-5">
            <div class="space-x-3 flex justify-end items-center">
            <span x-data="{ open: false }" x-init="
                        @this.on('notify-saved', () => {
                            if (open === false) setTimeout(() => { open = false }, 2500);
                            open = true;
                        })
                    " x-show.transition.out.duration.1000ms="open" style="display: none;" class="text-gray-500">Saved!</span>

                <span class="inline-flex rounded-md shadow-sm">
                    <button type="submit" class="inline-flex justify-center py-2 px-4 border border-transparent text-sm leading-5 font-medium rounded-md text-white bg-indigo-600 hover:bg-indigo-500 focus:outline-none focus:border-indigo-700 focus:shadow-outline-indigo active:bg-indigo-700 transition duration-150 ease-in-out">
                        Save
                    </button>
                </span>
            </div>
        </div>
        @endif 
    </div>

</form>
