<form wire:submit.prevent="save">



<div class="grid grid-cols-1 gap-4">
    <div class="py-4 px-4">            
        <div class="flex-col space-y-4">    
            <h1 class="text-2xl font-semibold text-gray-900"> Συνοπτικό Δελτίο Έρευνας</h1>            
            <br>
            Τίτλος Έρευνας:
            <x-input.group label=" " for="title" inline="true" :error="$errors->first('applicationC1.title')">
                <x-input.text wire:model.lazy="applicationC1.title" id="title" />
            </x-input.group>
            <br>
            Περίληψη:  
            <x-input.group label=" " for="abstract" inline="true" :error="$errors->first('applicationC1.abstract')">
                <x-input.textarea wire:model.lazy="applicationC1.abstract" id="abstract"  rows="8"/>
            </x-input.group>
            (έως 2000 χαρακτήρες)
            <br><br>

            Λέξεις Κλειδιά: Σημειώνονται έως έξι (6) λέξεις
            <x-input.group label=" " for="keywords" inline="true" :error="$errors->first('applicationC1.keywords')">
                <x-input.text wire:model.lazy="applicationC1.keywords" id="keywords" />
            </x-input.group>
            <br>

            Επιλογή κύριου θεματικού άξονα της έρευνας
            <div class="mb-8">
                <x-input.group label="Επιλέξτε κατηγορία " for="main_topic_category" inline="true" :error="$errors->first('applicationC1.main_topic_category')">
                    <x-input.select wire:model="applicationC1.main_topic_category"  placeholder="Επιλέξτε κατηγορία">
                        @foreach($mainTopicCategories as $mainTopicCategory)
                            <option value={{ $mainTopicCategory->id }}>{{ $mainTopicCategory->name }}</option>
                        @endforeach
                    </x-input.select>
                </x-input.group>
            
            @if(count($mainTopics) > 0)
            
                    <x-input.group label="Επιλέξτε άξονα" for="main_topic" inline="true" :error="$errors->first('applicationC1.main_topic')">
                        <x-input.select wire:model="applicationC1.main_topic"  placeholder="Επιλέξτε άξονα">
                            @foreach($mainTopics as $mainTopic)
                                <option value={{ $mainTopic->id }}>{{ $mainTopic->name }}</option>
                            @endforeach
                        </x-input.select>
                    </x-input.group>
                </div>
            @endif

            
            <br>

            Ονοματεπώνυμο Υπεύθυνου/νης Έρευνας:
            <x-input.group label=" " for="name_researcher" inline="true" :error="$errors->first('applicationC1.name_researcher')">
                <x-input.text wire:model.lazy="applicationC1.name_researcher" id="name_researcher" />
            </x-input.group>
            <br>

            Ονοματεπώνυμο Μελών Ερευνητικής Ομάδας:
            <x-input.group label=" " for="name_researcher_group" inline="true" :error="$errors->first('applicationC1.name_researcher_group')">
                <x-input.textarea wire:model.lazy="applicationC1.name_researcher_group" id="name_researcher_group" />
            </x-input.group>
            <br>
            
            Ονοματεπώνυμο και ιδιότητα Μελών Τριμελούς Επιτροπής ή Επιβλέποντος/ουσας Καθηγητή/τριας:
            <x-input.group label=" " for="name_professor" inline="true" :error="$errors->first('applicationC1.name_professor')">
                <x-input.textarea wire:model.lazy="applicationC1.name_professor" id="name_professor" />
            </x-input.group>
            <br>
            
            Επιστημονικός Φορέας:<br>
            Επωνυμία: 
            <x-input.group label=" " for="organisation_name" inline="true" :error="$errors->first('applicationC1.organisation_name')">
                <x-input.text wire:model.lazy="applicationC1.organisation_name" id="organisation_name"  />
            </x-input.group>
            Διεύθυνση Φορέα:
            <x-input.group label=" " for="organisation_address" inline="true" :error="$errors->first('applicationC1.organisation_address')">
                <x-input.text wire:model.lazy="applicationC1.organisation_address" id="organisation_address"  />
            </x-input.group>
            Τηλ. Επικοινωνίας:            
            <x-input.group label=" " for="organisation_phone" inline="true" :error="$errors->first('applicationC1.organisation_phone')">
                <x-input.text wire:model.lazy="applicationC1.organisation_phone" id="organisation_phone"  />
            </x-input.group>
            <br><br>

            Φορέας/Πρόγραμμα Χρηματοδότησης:
            <x-input.group label=" " for="funding_name" inline="true" :error="$errors->first('applicationC1.funding_name')">
                <x-input.text wire:model.lazy="applicationC1.funding_name" id="funding_name" />
            </x-input.group>
            <br>

            Ιδιότητα Ερευνητή/τριας:
            <x-input.group label=" " for="researcher_status" inline="true" :error="$errors->first('applicationC1.researcher_status')">
                <x-input.text wire:model.lazy="applicationC1.researcher_status" id="researcher_status" />
            </x-input.group>
            <br>

            Στοιχεία Επικοινωνίας Ερευνητή/τριας:<br>
            <x-input.group label=" " for="researcher_address" inline="true" :error="$errors->first('applicationC1.researcher_address')">
                <x-input.text wire:model.lazy="applicationC1.researcher_address" id="researcher_address" leadingAddOn="Διεύθυνση" />
            </x-input.group>
            <x-input.group label=" " for="researcher_email" inline="true" :error="$errors->first('applicationC1.researcher_email')">
                <x-input.text wire:model.lazy="applicationC1.researcher_email" id="researcher_email" leadingAddOn="Διεύθυνση Ηλεκτρονικού Ταχυδρομείου" />
            </x-input.group>
            <x-input.group label=" " for="researcher_phone" inline="true" :error="$errors->first('applicationC1.researcher_phone')">
                <x-input.text wire:model.lazy="applicationC1.researcher_phone" id="researcher_phone" leadingAddOn="Τηλέφωνο" />
            </x-input.group>
            <br>

            Διάρκεια Διεξαγωγής της Έρευνας στο σχολείο:
            <x-input.group label=" " for="research_duration" inline="true" :error="$errors->first('applicationC1.research_duration')">
                <x-input.text wire:model.lazy="applicationC1.research_duration" id="research_duration" />
            </x-input.group>
            <br>

            Προγραμματισμένος Χρόνος Ολοκλήρωσης/Δημοσίευσης (μήνας/έτος)
            <div class="flex mb-4">
                <div class="w-2/12 ">
                    <x-input.texth8 wire:model.lazy="applicationC1.research_estimate_complete_month" id="research_estimate_complete_month" />
                </div>
                <div class="w-1/12 text-center">
                    / 
                </div>
                <div class="w-2/12 ">
                    <x-input.texth8 wire:model.lazy="applicationC1.research_estimate_complete_year" id="research_estimate_complete_year" />
                </div>
                <div class="flex-1">
                
                </div>
            </div>
            <br>

            Μέγεθος Δείγματος:
            <x-input.group label=" " for="sample" inline="true" :error="$errors->first('applicationC1.sample')">
                <x-input.text wire:model.lazy="applicationC1.sample" id="sample" />
            </x-input.group>
            <br>

            Αριθμός Σχολείων:
            <x-input.group label=" " for="number_of_schools" inline="true" :error="$errors->first('applicationC1.number_of_schools')">
                <x-input.text wire:model.lazy="applicationC1.number_of_schools" id="sanumber_of_schoolsmple" />
            </x-input.group>
            <br>

            Γεωγραφικό Πεδίο Διεξαγωγής Έρευνας: (Περιφέρεια/ες-Νομός/οί)
            <x-input.group label=" " for="research_area" inline="true" :error="$errors->first('applicationC1.research_area')">
                <x-input.textarea wire:model.lazy="applicationC1.research_area" id="research_area" />
            </x-input.group>
            <br>


            Εκπαιδευτική Δομή:
            <br>
            <div class="grid grid-cols-1 gap-4">
                
                    <x-input.checkbox wire:model.lazy="applicationC1.st1" id="st1" label="Νηπιαγωγείο" />
                    <x-input.checkbox wire:model.lazy="applicationC1.st2" id="st2" label="Δημοτικό" />
                    <x-input.checkbox wire:model.lazy="applicationC1.st3" id="st3" label="Γυμνάσιο" />
                    <x-input.checkbox wire:model.lazy="applicationC1.st4" id="st4" label="ΓΕΛ" />
                    <x-input.checkbox wire:model.lazy="applicationC1.st5" id="st5" label="ΕΠΑΛ" />
                    <x-input.checkbox wire:model.lazy="applicationC1.st6" id="st6" label="Εκκλησιαστικά " />
                    <x-input.checkbox wire:model.lazy="applicationC1.st7" id="st7" label="Μουσικά/Καλλιτεχνικά" />
                    <x-input.checkbox wire:model.lazy="applicationC1.st8" id="st8" label="ΣΜΕΑΕ" />
                    <x-input.checkbox wire:model.lazy="applicationC1.st9" id="st9" label="Διαπολιτισμικά" />
                    <x-input.checkbox wire:model.lazy="applicationC1.st10" id="st10" label="Μειονοτικά" />
                    <x-input.checkbox wire:model.lazy="applicationC1.st11" id="st11" label="ΣΔΕ" />
                    <x-input.checkbox wire:model.lazy="applicationC1.st12" id="st12" label="Άλλο" />
                    <x-input.texth8 wire:model.lazy="applicationC1.st_other" id="st_other" leadingAddOn="αν επιλέξατε άλλο προσδιορίστε:" />
            </div>
            
        </div>
        @if (Auth::user()->canEditApplication($applicationC1->application))
        <div class="mt-8 mb-5 mr-5 border-t border-gray-200 pt-5">
            <div class="space-x-3 flex justify-end items-center">
            <span x-data="{ open: false }" x-init="
                        @this.on('notify-saved', () => {
                            if (open === false) setTimeout(() => { open = false }, 2500);
                            open = true;
                        })
                    " x-show.transition.out.duration.1000ms="open" style="display: none;" class="text-gray-500">Saved!</span>

                <span class="inline-flex rounded-md shadow-sm">
                    <button type="submit" class="inline-flex justify-center py-2 px-4 border border-transparent text-sm leading-5 font-medium rounded-md text-white bg-indigo-600 hover:bg-indigo-500 focus:outline-none focus:border-indigo-700 focus:shadow-outline-indigo active:bg-indigo-700 transition duration-150 ease-in-out">
                        Save
                    </button>
                </span>
            </div>
        </div>
        @endif
    </div>
</form>