

<div class="py-4 space-y-4">   
        
        <div class="flex-col space-y-4  px-2">    
            <x-table>
                <x-slot name="head">
                    <x-table.heading class="text-left" > Ονομασια </x-table.heading>                
                    <x-table.heading class="text-left"> Αρχειο </x-table.heading>
                    
                    <x-table.heading class="text-left"> Ενεργειες </x-table.heading>

                </x-slot>
                <x-slot name="body">
                    @forelse ($applicationFiles as $applicationFile)
                        <x-table.row wire:loading.class.delay="opacity-50">
                            <x-table.cell>
                                <span href="#" class="inline-flex space-x-2 truncate text-sm leading-5">
                                    <p class="text-cool-gray-600 truncate">
                                        {{$applicationFile->name_description}}
                                    </p>
                                </span>
                            </x-table.cell>
                            <x-table.cell>
                                @if ($applicationFile->name_file)
                                    <button wire:click="name_fileExport('{{ $applicationFile->name_file }}')" class="inline-flex justify-center py-2 px-4 border border-transparent text-sm leading-5 font-medium rounded-md text-grey bg-indigo-100 hover:bg-indigo-200 focus:outline-none focus:border-indigo-700 focus:shadow-outline-indigo active:bg-indigo-700 transition duration-150 ease-in-out">
                                        Δείτε το αρχείο που ανεβάσατε
                                    </button>
                                    
                                @endif
                            </x-table.cell>
                            <x-table.cell>
                                
                                @if (Auth::user()->canEditApplication($application))
                                    <x-button.link wire:click="confirm({{ $applicationFile->id }})"><x-icon.trash class="text-cool-gray-400" title="Διαγραφή"/></x-button.link>
                                @endif
                                
                            </x-table.cell>
                        </x-table.row>
                        @empty
                    <x-table.row>
                        <x-table.cell colspan="4">
                            <div class="flex justify-center items-center space-x-2">
                                <x-icon.clipboard class="h-8 w-8 text-cool-gray-400" />
                                <span class="font-small py-8 text-cool-gray-400 text-xl">Δεν βρέθηκαν εγγραφές...</span>
                            </div>
                        </x-table.cell>
                    </x-table.row>
                    @endforelse

                </x-slot>
            </x-table>

        
        
    

         <!-- Delete Transactions Modal -->
        <form wire:submit.prevent="delete">
            <x-modal.confirmation wire:model.defer="showDeleteModal">
                <x-slot name="title">Διαγραφή αρχείου</x-slot>

                <x-slot name="content">
                    <div class="py-8 text-cool-gray-700">Θέλετε να προχωρήσετε στην ενέργεια;</div>
                </x-slot>

                <x-slot name="footer">
                    <x-button.secondary wire:click="$set('showDeleteModal', false)">Ακύρωση</x-button.secondary>

                    <x-button.primary type="submit">Διαγραφή</x-button.primary>
                </x-slot>
            </x-modal.confirmation>
        </form>


        @if (Auth::user()->canEditApplication($application))
<form wire:submit.prevent="save">

<div class="grid grid-cols-1 gap-4">
    <div class="py-4 px-4">            
        <div class="flex-col space-y-4">    
            <h1 class="text-2xl font-semibold text-gray-900"> Προσθήκη Συνημμένου αρχείου</h1>

                
                <br>Επιλέξτε το αρχείο που θέλετε να ανεβάσετε:
                <x-input.group2 label="" for="name_file" inline="true" :error="$errors->first('name_file')">            
                    
                    <x-input.file-upload wire:model="name_file" id="name_file" >
                    @if ($name_file)
                        {{ $name_file->getClientOriginalName()}}
                    @endif
                    </x-input>
                    
                </x-input.group2>
                <div wire:loading wire:target="name_file">Uploading...</div>

                <x-input.group label="Περιγραφή συνημμένου αρχείου" for="name_description" inline="true" :error="$errors->first('name_description')">
                    <x-input.text wire:model.lazy="name_description" id="name_description"  placeholder="Συμπληρώστε την ονομασία ή περιγραφή του αρχείου"/>
                </x-input.group>
            <br>
                            
            
        </div>
        
        <div class="mt-8 mb-5 mr-5 border-t border-gray-200 pt-5">
            <div class="space-x-3 flex justify-end items-center">
                <span x-data="{ open: false }" x-init="
                        @this.on('notify-saved', () => {
                            if (open === false) setTimeout(() => { open = false }, 2500);
                            open = true;
                        })
                    " x-show.transition.out.duration.1000ms="open" style="display: none;" class="text-gray-500">Saved!</span>

                <span class="inline-flex rounded-md shadow-sm">
                    <button type="submit" class="inline-flex justify-center py-2 px-4 border border-transparent text-sm leading-5 font-medium rounded-md text-white bg-indigo-600 hover:bg-indigo-500 focus:outline-none focus:border-indigo-700 focus:shadow-outline-indigo active:bg-indigo-700 transition duration-150 ease-in-out">
                        Προσθήκη
                    </button>
                </span>
            </div>
        </div>
        
    </div>
</div>
    
</form>
@endif

</div>
        </div>   