<div class="p-6 sm:px-20 bg-white border-b border-gray-200">
    {{-- The Master doesn't talk, he acts. --}}
    <form wire:submit.prevent="create" action="#" method="POST">

        <x-input.group label="Τίτλος" for="title" inline="true" :error="$errors->first('title')">
                <x-input.text wire:model="title" id="title" autofocus />
        </x-input.group>

        <div class="mt-6">
            <label for="name" class="block text-sm font-medium leading-5 text-gray-700">
                Ονοματεπώνυμο
            </label>
            <div class="mt-1 rounded-md shadow-sm">
                <input wire:model.lazy="name" id="name" type="text" required autofocus class="@error('name') border-red-500 @enderror appearance-none block w-full px-3 py-2 border border-gray-300 rounded-md placeholder-gray-400 focus:outline-none focus:shadow-outline-blue focus:border-blue-300 transition duration-150 ease-in-out sm:text-sm sm:leading-5" />
            </div>
            @error('name') <div class="mt-1 text-red-500 text-sm">{{ $message }}</div> @enderror
        </div>
        <div class="mt-6">
            <label for="eponimia" class="block text-sm font-medium leading-5 text-gray-700">
                Επωνυμία
            </label>
            <div class="mt-1 rounded-md shadow-sm">
                <input wire:model.lazy="eponimia" id="eponimia" type="text" autofocus class="appearance-none block w-full px-3 py-2 border border-gray-300 rounded-md placeholder-gray-400 focus:outline-none focus:shadow-outline-blue focus:border-blue-300 transition duration-150 ease-in-out sm:text-sm sm:leading-5" />
            </div>
            @error('eponimia') <div class="mt-1 text-red-500 text-sm">{{ $message }}</div> @enderror
        </div>
        <div class="mt-6">
            <label for="phone" class="block text-sm font-medium leading-5 text-gray-700">
                Τηλέφωνο
            </label>
            <div class="mt-1 rounded-md shadow-sm">
                <input wire:model.lazy="phone" id="phone" type="text" autofocus class="appearance-none block w-full px-3 py-2 border border-gray-300 rounded-md placeholder-gray-400 focus:outline-none focus:shadow-outline-blue focus:border-blue-300 transition duration-150 ease-in-out sm:text-sm sm:leading-5" />
            </div>
            @error('phone') <div class="mt-1 text-red-500 text-sm">{{ $message }}</div> @enderror
        </div>
        <div class="mt-6">
            <label for="website" class="block text-sm font-medium leading-5 text-gray-700">
                Website
            </label>
            <div class="mt-1 rounded-md shadow-sm">
                <input wire:model.lazy="website" id="website" type="text" autofocus class="appearance-none block w-full px-3 py-2 border border-gray-300 rounded-md placeholder-gray-400 focus:outline-none focus:shadow-outline-blue focus:border-blue-300 transition duration-150 ease-in-out sm:text-sm sm:leading-5" />
            </div>
            @error('website') <div class="mt-1 text-red-500 text-sm">{{ $message }}</div> @enderror
        </div>

        <x-input.group label="Διεύθυνση/Τμήμα" for="tmima" inline="true" :error="$errors->first('tmima')">
                <x-input.select wire:model="tmima"  placeholder="Επιλέξτε την αρμόδια υπηρεσία του Υ.ΠΑΙ.Θ.">
                    <option value="Διεύθυνση Σπουδών Προγραμμάτων και Οργάνωσης Πρωτοβάθμιας Εκπαίδευσης">Διεύθυνση Σπουδών Προγραμμάτων και Οργάνωσης Πρωτοβάθμιας Εκπαίδευσης</option>
                    <option value="Διεύθυνση Σπουδών Προγραμμάτων και Οργάνωσης Δευτεροβάθμιας Εκπαίδευσης">Διεύθυνση Σπουδών Προγραμμάτων και Οργάνωσης Δευτεροβάθμιας Εκπαίδευσης</option>
                    <option value="Διεύθυνση Ειδικής Αγωγής και Εκπαίδευσης">Διεύθυνση Ειδικής Αγωγής και Εκπαίδευσης </option>
                    <option value="Διεύθυνση Επαγγελματικής Εκπαίδευσης">Διεύθυνση Επαγγελματικής Εκπαίδευσης</option>
                </x-input.select>
        </x-input.group>

        <div class="mt-6">
            <span class="block w-full rounded-md shadow-sm">
                <button type="submit" class="w-full flex justify-center py-2 px-4 border border-transparent text-sm font-medium rounded-md text-grey bg-indigo-600 hover:bg-indigo-500 focus:outline-none focus:border-indigo-700 focus:shadow-outline-indigo active:bg-indigo-700 transition duration-150 ease-in-out">
                    Καταχώρηση
                </button>
            </span>
        </div>        
        
    </form>

</div>
