    <div class="py-4 space-y-4">   
        <div>
        <div class="flex mb-1">
            <div class="w-1/3  px-2">
                <x-input.text wire:model="search" placeholder="Αναζήτηση..." />
            </div>
            <div class="w-2/4 ">
            </div>
            <div class="w-1/3 px-2 text-gray-500">
            Αποτελέσματα ανά σελίδα
            <select wire:model="perPage" id="perPage" class = 'form-select  pl-3 pr-10 py-2 text-base leading-6 border-gray-300 focus:outline-none focus:shadow-outline-blue focus:border-blue-300 sm:text-sm sm:leading-5'>
                        <option value="10">10</option>
                        <option value="25">25</option>
                        <option value="50">50</option>
            </select>

            </div>
        </div>
        </div>
        <div class="flex-col space-y-4  px-2">    
            <x-table>
                <x-slot name="head">
                    <x-table.heading sortable wire:click="sortBy('title')" :direction="$sortField === 'title' ? $sortDirection : null"> Τιτλος </x-table.heading>                
                    <x-table.heading sortable wire:click="sortBy('date')" :direction="$sortField === 'date' ? $sortDirection : null"> Ημερομηνια </x-table.heading>
                    <x-table.heading sortable wire:click="sortBy('status')" :direction="$sortField === 'status' ? $sortDirection : null"> Κατασταση </x-table.heading>
                    <x-table.heading > Ενεργειες </x-table.heading>

                </x-slot>
                <x-slot name="body">
                    @forelse ($applications as $application)
                        <x-table.row wire:loading.class.delay="opacity-50">
                            <x-table.cell>
                                <span href="#" class="inline-flex space-x-2 truncate text-sm leading-5">
                                    <p class="text-cool-gray-600 truncate">
                                        {{$application->title}}
                                    </p>
                                </span>
                            </x-table.cell>
                            <x-table.cell>{{ $application->date_for_humans }}</x-table.cell>
                            <x-table.cell>
                                <span class="inline-flex items-center px-2.5 py-0.5 rounded-full text-xs font-medium leading-4 bg-{{ $application->status_color }}-100 text-{{ $application->status_color }}-800 capitalize">
                                    {{$application->status}}
                                </span>
                            </x-table.cell>
                            <x-table.cell>
                                
                                @if (Auth::user()->canEditApplication($application))
                                    <a href="{{url('/applications/preview', $application->id)}}"><x-icon.edit class="text-cool-gray-400" title="Επεξεργασία"/></a>
                                @else
                                    <a href="{{url('/applications/preview', $application->id)}}"><x-icon.search class="text-cool-gray-400" title="Προβολή"/></a>
                                @endif

                                @if (Auth::user()->canEditApplication($application))
                                    <a href="{{url('/applications/checklist', $application->id)}}"><x-icon.inbox class="text-cool-gray-400" title="Υποβολή"/></a>
                                @endif
                                
                                <a href="{{url('/applications/history', $application->id)}}"><x-icon.calendar class="text-cool-gray-400" title="Ιστορικό"/></a>

                                @if (Auth::user()->isResearcher() && $application->status == 'Προσχέδιο')
                                    <x-button.link wire:click="confirm({{ $application->id }})"><x-icon.trash class="text-cool-gray-400" title="Διαγραφή"/></x-button.link>
                                @endif
                                
                                
                            </x-table.cell>
                        </x-table.row>
                        @empty
                    <x-table.row>
                        <x-table.cell colspan="4">
                            <div class="flex justify-center items-center space-x-2">
                                <x-icon.clipboard class="h-8 w-8 text-cool-gray-400" />
                                <span class="font-small py-8 text-cool-gray-400 text-xl">Δεν βρέθηκαν εγγραφές...</span>
                            </div>
                        </x-table.cell>
                    </x-table.row>
                    @endforelse

                </x-slot>
            </x-table>
            <div>
                {{ $applications->links() }}
            </div>
        </div>



         <!-- Delete Transactions Modal -->
        <form wire:submit.prevent="delete">
            <x-modal.confirmation wire:model.defer="showDeleteModal">
                <x-slot name="title">Διαγραφή αίτησης</x-slot>

                <x-slot name="content">
                    <div class="py-8 text-cool-gray-700">Θέλετε να προχωρήσετε στην ενέργεια;</div>
                </x-slot>

                <x-slot name="footer">
                    <x-button.secondary wire:click="$set('showDeleteModal', false)">Ακύρωση</x-button.secondary>

                    <x-button.primary type="submit">Διαγραφή</x-button.primary>
                </x-slot>
            </x-modal.confirmation>
        </form>

        

    </div>
