<form wire:submit.prevent="save">
@if (Auth::user()->canEditApplication($application)) 
    <fieldset>
@else
    <fieldset  disabled="disabled">    
@endif

<div class="grid grid-cols-2 gap-4">
    <div class="py-4 px-4">            
        <div class="flex-col space-y-4">    
            <h1 class="text-2xl font-semibold text-gray-900">Αίτηση</h1>
            <x-input.group label="Ονοματεπώνυμο" for="name" inline="true" :error="$errors->first('application.name')">
                <x-input.text wire:model.lazy="application.name" id="name"  />
            </x-input.group>

            <x-input.group label="Επωνυμία" for="eponimia" inline="true" :error="$errors->first('application.eponimia')">
                <x-input.text wire:model.lazy="application.eponimia" id="eponimia"  />
            </x-input.group>

            <p>Στοιχεία επικοινωνίας:</p>
            <x-input.group label="Τηλέφωνο" for="phone" inline="true" :error="$errors->first('application.phone')">
                <x-input.text wire:model.lazy="application.phone" id="phone"  />
            </x-input.group>
            <x-input.group label="Ιστοσελίδα Φορέα" for="website" inline="true" :error="$errors->first('application.website')">
                <x-input.text wire:model.lazy="application.website" id="website"  />
            </x-input.group>
            <br>
            Ηλεκτρ. Δ/νση (email): {{Auth::user()->email}} <br>
            
        </div>
    </div>
    <div class="py-4 px-4">            
        <div class="flex-col space-y-4">    
            <h1 class="text-2xl font-semibold text-gray-900">Προς : Υ.ΠΑΙ.Θ. </h1>
            <p>Γενική Διεύθυνση Σπουδών Πρωτοβάθμιας και Δευτεροβάθμιας Εκπαίδευσης<br>
                
                <x-input.group label="(Δ/νση-Τμήμα που απευθύνεται)" for="tmima" inline="true" :error="$errors->first('application.tmima')">
                <x-input.select wire:model="application.tmima"  placeholder="Επιλέξτε την αρμόδια υπηρεσία του Υ.ΠΑΙ.Θ.">
                    <option value="Διεύθυνση Σπουδών Προγραμμάτων και Οργάνωσης Πρωτοβάθμιας Εκπαίδευσης">Διεύθυνση Σπουδών Προγραμμάτων και Οργάνωσης Πρωτοβάθμιας Εκπαίδευσης</option>
                    <option value="Διεύθυνση Σπουδών Προγραμμάτων και Οργάνωσης Δευτεροβάθμιας Εκπαίδευσης">Διεύθυνση Σπουδών Προγραμμάτων και Οργάνωσης Δευτεροβάθμιας Εκπαίδευσης</option>
                    <option value="Διεύθυνση Ειδικής Αγωγής και Εκπαίδευσης">Διεύθυνση Ειδικής Αγωγής και Εκπαίδευσης </option>
                    <option value="Διεύθυνση Επαγγελματικής Εκπαίδευσης">Διεύθυνση Επαγγελματικής Εκπαίδευσης</option>
                </x-input.select>
                </x-input.group>
                </p>
            <p>Παρακαλώ να εγκρίνετε το εκπαιδευτικό πρόγραμμα με τίτλο: 
            <x-input.group label="" for="title" inline="true" :error="$errors->first('application.title')">
                <x-input.text wire:model="application.title" id="title"  />
            </x-input.group>
            προκειμένου να υλοποιηθεί σε σχολικές μονάδες
            </p>
            <p>Το πρόγραμμα πληροί τα κριτήρια, όπως αυτά αναφέρονται στον Οδηγό και συγκεκριμένα στην Ενότητα Α6.	ΠΑΙΔΑΓΩΓΙΚΑ ΚΑΙ ΕΠΙΣΤΗΜΟΝΙΚΑ ΚΡΙΤΗΡΙΑ για την έγκριση Εκπαιδευτικών Προγραμμάτων. 
            </p>
        </div>
    </div>
</div>
<div class="mt-8 mb-5 mr-5 border-t border-gray-200 pt-5">
            <div class="space-x-3 flex justify-end items-center">
            <span x-data="{ open: false }" x-init="
                        @this.on('notify-saved', () => {
                            if (open === false) setTimeout(() => { open = false }, 2500);
                            open = true;
                        })
                    " x-show.transition.out.duration.1000ms="open" style="display: none;" class="text-gray-500">Saved!</span>

                @if (Auth::user()->canEditApplication($application))
                <span class="inline-flex rounded-md shadow-sm">
                    <button type="submit" class="inline-flex justify-center py-2 px-4 border border-transparent text-sm leading-5 font-medium rounded-md text-white bg-indigo-600 hover:bg-indigo-500 focus:outline-none focus:border-indigo-700 focus:shadow-outline-indigo active:bg-indigo-700 transition duration-150 ease-in-out">
                        Save
                    </button>
                </span>
                @endif
            </div>
        </div>
</fieldset>
</form>