    <div class="py-4 space-y-4">   
        
        <div class="flex mb-1">
            <div class="w-1/3  px-2">
                <x-input.text wire:model="search" placeholder="Αναζήτηση..." />
            </div>
            <div class="w-2/4 ">
            </div>
            <div class="w-1/3 px-2 text-gray-500">
            Αποτελέσματα ανά σελίδα
            <select wire:model="perPage" id="perPage" class = 'form-select  pl-3 pr-10 py-2 text-base leading-6 border-gray-300 focus:outline-none focus:shadow-outline-blue focus:border-blue-300 sm:text-sm sm:leading-5'>
                        <option value="10">10</option>
                        <option value="25">25</option>
                        <option value="50">50</option>
            </select>

            </div>
        </div>

        <div class="flex-col space-y-4  px-2">    
            <x-table>
                <x-slot name="head">
                    <x-table.heading sortable wire:click="sortBy('title')" :direction="$sortField === 'title' ? $sortDirection : null"> Τιτλος </x-table.heading>                
                    <x-table.heading sortable wire:click="sortBy('date')" :direction="$sortField === 'date' ? $sortDirection : null"> Ημερομηνια </x-table.heading>
                    <x-table.heading sortable wire:click="sortBy('status')" :direction="$sortField === 'status' ? $sortDirection : null"> Κατασταση </x-table.heading>                    
                    <x-table.heading sortable> Ενεργειες </x-table.heading>

                </x-slot>
                <x-slot name="body">
                    @forelse ($applications as $application)
                        <x-table.row>
                            <x-table.cell>
                                <span href="#" class="inline-flex space-x-2 truncate text-sm leading-5">
                                    <p class="text-cool-gray-600 truncate">
                                        {{$application->title}}
                                    </p>
                                </span>
                            </x-table.cell>
                            <x-table.cell>{{ $application->date_for_humans }}</x-table.cell>
                            <x-table.cell>
                                <span class="inline-flex items-center px-2.5 py-0.5 rounded-full text-xs font-medium leading-4 bg-{{ $application->status_color }}-100 text-{{ $application->status_color }}-800 capitalize">
                                    {{$application->status}}
                                </span>
                            </x-table.cell>

                            <x-table.cell>
                                
                                <a href="{{url('/applications/preview', $application->id)}}"><x-icon.search class="text-cool-gray-400" title="προβολή"/></a>

                                <a href="{{url('/applications/history', $application->id)}}"><x-icon.calendar class="text-cool-gray-400" title="Ιστορικό"/></a>
                                <a href="{{url('/evaluator/generatePDFapplication', $application->id)}}"><x-icon.printer class="text-cool-gray-400" title="Εκτύπωση"/></a>                                
                                @if ($application->status != "Αντίγραφο" && $application->state == 2)                                    
                                    <x-button.link wire:click="tomodification({{ $application->id }})"><x-icon.pencilalt class="text-cool-gray-400" title="αλλαγή για τροποποίηση"/></x-button.link>                                
                                    <a href="{{url('/evaluator/writereport', $application->id)}}"><x-icon.clipboard class="text-cool-gray-400" title="Έκθεση"/></a>
                                @endif
                                
                                
                                
                            </x-table.cell>
                        </x-table.row>
                    @empty
                        <x-table.row>
                            <x-table.cell colspan="4">
                                <div class="flex justify-center items-center space-x-2">
                                    <x-icon.clipboard class="h-8 w-8 text-cool-gray-400" />
                                    <span class="font-small py-8 text-cool-gray-400 text-xl">Δεν βρέθηκαν εγγραφές...</span>
                                </div>
                            </x-table.cell>
                        </x-table.row>
                    @endforelse

                </x-slot>
            </x-table>
            <div>
                {{ $applications->links() }}
            </div>
        </div>

        <!-- toModification Transactions Modal -->
        <form wire:submit.prevent="tomodificationupdate">
            <x-modal.confirmation wire:model.defer="showModificationModal">
                <x-slot name="title">Ενεργοποίηση αίτησης για τροποποίηση</x-slot>

                <x-slot name="content">
                    <div class="py-8 text-cool-gray-700">Θέλετε να προχωρήσετε στην ενέργεια;</div>
                </x-slot>

                <x-slot name="footer">
                    <x-button.secondary wire:click="$set('showModificationModal', false)">Ακύρωση</x-button.secondary>

                    <x-button.primary type="submit">Ενεργοποίηση τροποποίησης</x-button.primary>
                </x-slot>
            </x-modal.confirmation>
        </form>


    </div>
