    <div class="py-4">    
    <form wire:submit.prevent="save">        
        <div class="flex-col space-y-4 px-5">    
            <p class="text-cool-gray-600 truncate">
                Τιτλος: {{$application->title}}
            </p>
            <p>
                Ημερομηνία: {{ $application->date_for_humans }}
            </p>
            <p>
                Κατάσταση: {{$application->status}}
            </p>

            <x-input.group label="Θεσμικό πλαίσιο / Τεκμηρίωση" for="report_context" inline="true" :error="$errors->first('application.report_context')">
                <x-input.rich-text wire:model.lazy="application.report_context" id="report_context" />
            </x-input.group>
            <br>

            <x-input.group label="Διατύπωση εισήγησης" for="report_proposal" inline="true" :error="$errors->first('application.report_proposal')">
                <x-input.rich-text wire:model.lazy="application.report_proposal" id="report_proposal" />
            </x-input.group>
            <br>

            <x-input.group label="Εισήγηση" for="report_final" inline="true" :error="$errors->first('application.report_final')">
                <x-input.select wire:model="application.report_final"  placeholder="Επιλέξτε την εισήγηση">
                    <option value="Θετική">Θετική</option>
                    <option value="Αρνητική">Αρνητική</option>
                </x-input.select>
            </x-input.group>
            <br>

            <x-input.group2 label="Αρχείο εισήγησης" for="report_file" inline="true" :error="$errors->first('report_file')">
                <x-input.file-upload wire:model="report_file" id="report_file" >
                @if ($report_file)
                    {{ $report_file->getClientOriginalName()}}
                @elseif ($application->isuploadedReport_file())
                            <button wire:click="report_fileExport" class="inline-flex justify-center py-2 px-4 border border-transparent text-sm leading-5 font-medium rounded-md text-grey bg-indigo-100 hover:bg-indigo-200 focus:outline-none focus:border-indigo-700 focus:shadow-outline-indigo active:bg-indigo-700 transition duration-150 ease-in-out">
                                Δείτε το αρχείο που ανεβάσατε
                            </button>
                @endif
                </x-input>
            </x-input.group2>
            
            <div wire:loading wire:target="report_file">Uploading...</div>
                            
            <div class="mt-8 mb-5 mr-5 border-t border-gray-200 pt-5">
                <div class="space-x-3 flex justify-end items-center">
                    <span x-data="{ open: false }" x-init="
                                @this.on('notify-saved', () => {
                                    if (open === false) setTimeout(() => { open = false }, 2500);
                                    open = true;
                                })
                            " x-show.transition.out.duration.1000ms="open" style="display: none;" class="text-gray-500">Saved!</span>

                        
                    <span class="inline-flex rounded-md shadow-sm">
                        <button type="submit" class="inline-flex justify-center py-2 px-4 border border-transparent text-sm leading-5 font-medium rounded-md text-white bg-indigo-600 hover:bg-indigo-500 focus:outline-none focus:border-indigo-700 focus:shadow-outline-indigo active:bg-indigo-700 transition duration-150 ease-in-out">
                            Save
                        </button>
                    </span>
                </div>
            </div>                
            <button type="button" class="bg-pink-300 hover:bg-pink-400 text-gray-800 font-bold py-2 px-4 rounded-full">
                <a href="{{url('/evaluator/applicationlist')}}"><x-icon.arrowleft class="text-cool-gray-400"/>Επιστροφή</a>
            </button>
        </div>
    </form>
</div>
