    <div class="py-4">    
    <form wire:submit.prevent="save">        
        <div class="flex-col space-y-4 px-2">    
            <x-table>
                <x-slot name="head">
                    <x-table.heading > Τιτλος </x-table.heading>                
                    <x-table.heading > Ημερομηνια </x-table.heading>
                    <x-table.heading > Κατασταση </x-table.heading>
                    <x-table.heading > Χειριστής </x-table.heading>
                    <x-table.heading > Ενεργειες </x-table.heading>

                </x-slot>
                <x-slot name="body">
                    
                        <x-table.row>
                            <x-table.cell>
                                <span href="#" class="inline-flex space-x-2 truncate text-sm leading-5">
                                    <p class="text-cool-gray-600 truncate">
                                    Τιτλος {{$application->title}}
                                    </p>
                                </span>
                            </x-table.cell>
                            <x-table.cell>{{ $application->date_for_humans }}</x-table.cell>
                            <x-table.cell>
                                <span class="inline-flex items-center px-2.5 py-0.5 rounded-full text-xs font-medium leading-4 bg-{{ $application->status_color }}-100 text-{{ $application->status_color }}-800 capitalize">
                                    {{$application->status}}
                                </span>
                            </x-table.cell>
                            <x-table.cell>
                            
                            <x-input.group label="" for="user_evaluator" inline="true" :error="$errors->first('application.user_evaluator')">
                                    <x-input.select wire:model.lazy="application.user_evaluator" >
                                        <option value="">επιλέξτε</option>
                                        @foreach($evaluators as $evaluator)
                                            <option value={{ $evaluator->id }}>{{ $evaluator->name }}</option>
                                        @endforeach
                                    </x-input>
                            </x-input.group>
                            </x-table.cell>                            
                            <x-table.cell>
                            <div class="mt-8 mb-5 mr-5 border-t border-gray-200 pt-5">
                                <div class="space-x-3 flex justify-end items-center">
                                <span x-data="{ open: false }" x-init="
                                            @this.on('notify-saved', () => {
                                                if (open === false) setTimeout(() => { open = false }, 2500);
                                                open = true;
                                            })
                                        " x-show.transition.out.duration.1000ms="open" style="display: none;" class="text-gray-500">Saved!</span>

                                    
                                    <span class="inline-flex rounded-md shadow-sm">
                                        <button type="submit" class="inline-flex justify-center py-2 px-4 border border-transparent text-sm leading-5 font-medium rounded-md text-white bg-indigo-600 hover:bg-indigo-500 focus:outline-none focus:border-indigo-700 focus:shadow-outline-indigo active:bg-indigo-700 transition duration-150 ease-in-out">
                                            Save
                                        </button>
                                    </span>
                
                                </div>
                            </div>

                                
                                
                                
                            </x-table.cell>
                        </x-table.row>
                </x-slot>
            </x-table>

            <button type="button" class="bg-pink-300 hover:bg-pink-400 text-gray-800 font-bold py-2 px-4 rounded-full">
                <a href="{{url('/iep/applicationlist')}}"><x-icon.arrowleft class="text-cool-gray-400"/>Επιστροφή</a>
            </button>

        </div>

        </form>


    </div>
