    <div class="py-4 space-y-4">   
        
        <div class="flex mb-1">
            <div class="w-1/3  px-2">
                <x-input.text wire:model="search" placeholder="Αναζήτηση..." />
            </div>
            <div class="w-2/4 ">
            </div>
            <div class="w-1/3 px-2 text-gray-500">
            Αποτελέσματα ανά σελίδα
            <select wire:model="perPage" id="perPage" class = 'form-select  pl-3 pr-10 py-2 text-base leading-6 border-gray-300 focus:outline-none focus:shadow-outline-blue focus:border-blue-300 sm:text-sm sm:leading-5'>
                        <option value="10">10</option>
                        <option value="25">25</option>
                        <option value="50">50</option>
            </select>

            </div>
        </div>

        <div class="flex-col space-y-4  px-2">     
            <x-table>
                <x-slot name="head">
                    <x-table.heading sortable wire:click="sortBy('name')" :direction="$sortField === 'name' ? $sortDirection : null"> ΟΝΟΜΑ </x-table.heading>                
                    <x-table.heading sortable wire:click="sortBy('email')" :direction="$sortField === 'email' ? $sortDirection : null"> E-mail </x-table.heading>
                    <x-table.heading sortable wire:click="sortBy('status')" :direction="$sortField === 'status' ? $sortDirection : null"> ΡΟΛΟΣ </x-table.heading>
                    <x-table.heading > ΕΝΕΡΓΕΙΕΣ </x-table.heading>

                </x-slot>
                <x-slot name="body">
                    @forelse ($users as $user)
                        <x-table.row>
                            <x-table.cell>
                                <span href="#" class="inline-flex space-x-2 truncate text-sm leading-5">
                                    <p class="text-cool-gray-600 truncate">
                                        {{$user->name}}
                                    </p>
                                </span>
                            </x-table.cell>
                            <x-table.cell>{{ $user->email }}</x-table.cell>
                            <x-table.cell>
                                <span class="inline-flex items-center px-2.5 py-0.5 rounded-full text-xs font-medium leading-4  capitalize">
                                    {{$user->roleCaption()}}
                                </span>
                            </x-table.cell>
                            <x-table.cell>
                                
                                @if ($user->isResearcher())
                                    <x-button.link wire:click="setEvaluator({{ $user->id }})"><x-icon.users class="text-cool-gray-400" title="Μετατροπή σε χειριστή"/></x-button.link>
                                @endif
                            </x-table.cell>
                        </x-table.row>
                    @empty
                        <x-table.row>
                            <x-table.cell colspan="4">
                                <div class="flex justify-center items-center space-x-2">
                                    <x-icon.clipboard class="h-8 w-8 text-cool-gray-400" />
                                    <span class="font-small py-8 text-cool-gray-400 text-xl">Δεν βρέθηκαν εγγραφές...</span>
                                </div>
                            </x-table.cell>
                        </x-table.row>
                    @endforelse

                </x-slot>
            </x-table>
            <div>
                {{ $users->links() }}
            </div>
        </div>



         <!-- Delete Transactions Modal -->
        <form wire:submit.prevent="delete">
            <x-modal.confirmation wire:model.defer="showDeleteModal">
                <x-slot name="title">Delete Transaction</x-slot>

                <x-slot name="content">
                    <div class="py-8 text-cool-gray-700">Are you sure? This action is irreversible.</div>
                </x-slot>

                <x-slot name="footer">
                    <x-button.secondary wire:click="$set('showDeleteModal', false)">Cancel</x-button.secondary>

                    <x-button.primary type="submit">Delete</x-button.primary>
                </x-slot>
            </x-modal.confirmation>
        </form>

        <!-- toIEP Transactions Modal -->
        <form wire:submit.prevent="setEvaluatorUpdate">
            <x-modal.confirmation wire:model.defer="showSetEvaluatorModal">
                <x-slot name="title">Ανάθεση ρόλου χειριστή στον χρήστη</x-slot>

                <x-slot name="content">
                    <div class="py-8 text-cool-gray-700">Θέλετε να προχωρήσετε στην ενέργεια;</div>
                </x-slot>

                <x-slot name="footer">
                    <x-button.secondary wire:click="$set('showSetEvaluatorModal', false)">Cancel</x-button.secondary>

                    <x-button.primary type="submit">Μετατροπή χρήστη</x-button.primary>
                </x-slot>
            </x-modal.confirmation>
        </form>

    </div>
