<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});

//Route::middleware(['auth:sanctum', 'verified'])->get('/dashboard', function () {
//    return view('dashboard');
//})->name('dashboard');

Route::middleware(['auth:sanctum', 'verified'])->get('/dashboard', 'App\Http\Controllers\ApplicationController@dashboard')->name('dashboard');
Route::middleware(['auth:sanctum', 'verified'])->get('/applications/create', 'App\Http\Controllers\ApplicationController@create')->middleware('role:9');


/**
 * App Routes
 */
Route::middleware(['auth:sanctum', 'verified'])->group(function () {
    Route::get('/applications/dashboard', 'App\Http\Controllers\ApplicationController@applicationList')->middleware('role:9');
    Route::get('/applications/checklist/{id}', 'App\Http\Controllers\ApplicationController@applicationChecklist')->middleware('role:9');
    Route::get('/applications/preview/{id}', 'App\Http\Controllers\ApplicationController@applicationPreview');
    Route::get('/applications/appendixA2/{appid}', 'App\Http\Controllers\ApplicationController@applicationAppendixA2');
    Route::get('/applications/appendixB1/{appid}', 'App\Http\Controllers\ApplicationController@applicationAppendixB1');
    Route::get('/applications/appendixC1/{appid}', 'App\Http\Controllers\ApplicationController@applicationAppendixC1');
    Route::get('/applications/appendixA3/{id}', 'App\Http\Controllers\ApplicationController@applicationAppendixA3');
    Route::get('/applications/appendixA4/{id}', 'App\Http\Controllers\ApplicationController@applicationAppendixA4');
    Route::get('/applications/appendixC2/{id}', 'App\Http\Controllers\ApplicationController@applicationAppendixC2');
    Route::get('/applications/appendixC3/{id}', 'App\Http\Controllers\ApplicationController@applicationAppendixC3');
    Route::get('/applications/appendixC4/{id}', 'App\Http\Controllers\ApplicationController@applicationAppendixC4');
    Route::get('/applications/appendixC5/{id}', 'App\Http\Controllers\ApplicationController@applicationAppendixC5');
    Route::get('/applications/appendixFile/{id}', 'App\Http\Controllers\ApplicationController@applicationAppendixFile');
    Route::get('/applications/history/{id}', 'App\Http\Controllers\ApplicationController@applicationHistory');
});

Route::middleware(['auth:sanctum', 'verified'])->group(function () {
    Route::get('/ministry/dashboard', 'App\Http\Controllers\MinistryController@dashboard')->middleware('role:2');
    Route::get('/ministry/applicationlist', 'App\Http\Controllers\MinistryController@applicationList')->middleware('role:2');
});

Route::middleware(['auth:sanctum', 'verified'])->group(function () {
    Route::get('/iep/dashboard', 'App\Http\Controllers\IepController@dashboard')->middleware('role:3');
    Route::get('/iep/applicationlist', 'App\Http\Controllers\IepController@applicationList')->middleware('role:3');
    Route::get('/iep/userlist', 'App\Http\Controllers\IepController@userList')->middleware('role:3');    
    Route::get('/iep/assignevaluator/{id}', 'App\Http\Controllers\IepController@assignEvaluator')->middleware('role:3');    
});

Route::middleware(['auth:sanctum', 'verified'])->group(function () {
    Route::get('/evaluator/dashboard', 'App\Http\Controllers\EvaluatorController@dashboard')->middleware('role:4');
    Route::get('/evaluator/applicationlist', 'App\Http\Controllers\EvaluatorController@applicationList')->middleware('role:4');
    Route::get('/evaluator/writereport/{id}', 'App\Http\Controllers\EvaluatorController@writereport')->middleware('role:4');
    Route::get('/evaluator/generatePDFapplication/{id}', 'App\Http\Controllers\EvaluatorController@generatePDFapplication')->middleware('role:4');
});