<!DOCTYPE html>
<html lang="<?php echo e(str_replace('_', '-', app()->getLocale())); ?>">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">

        <title><?php echo e(config('app.name', 'IEP')); ?></title>

        <!-- Tailwind UI -->
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/@tailwindcss/ui@latest/dist/tailwind-ui.min.css">
        <link href="https://fonts.googleapis.com/css2?family=Baloo+Paaji+2&display=swap" rel="stylesheet">

        <!-- Alpine -->
        <script src="https://cdn.jsdelivr.net/gh/alpinejs/alpine@v2.x.x/dist/alpine.min.js" defer></script>

        <!-- Fonts -->
        <link rel="stylesheet" href="https://fonts.googleapis.com/css2?family=Nunito:wght@400;600;700&display=swap">

        <!-- Styles -->
        <link rel="stylesheet" href="<?php echo e(asset('css/app.css')); ?>">

        <?php echo \Livewire\Livewire::styles(); ?>


        <!-- Scripts -->
        <script src="https://cdn.jsdelivr.net/gh/alpinejs/alpine@v2.7.0/dist/alpine.js" defer></script>
    </head>
    <body class="font-sans antialiased">
        <div class="min-h-screen bg-gray-100">
            <?php
if (! isset($_instance)) {
    $html = \Livewire\Livewire::mount('navigation-dropdown')->html();
} elseif ($_instance->childHasBeenRendered('lnjYihy')) {
    $componentId = $_instance->getRenderedChildComponentId('lnjYihy');
    $componentTag = $_instance->getRenderedChildComponentTagName('lnjYihy');
    $html = \Livewire\Livewire::dummyMount($componentId, $componentTag);
    $_instance->preserveRenderedChild('lnjYihy');
} else {
    $response = \Livewire\Livewire::mount('navigation-dropdown');
    $html = $response->html();
    $_instance->logRenderedChild('lnjYihy', $response->id(), \Livewire\Livewire::getRootElementTagName($html));
}
echo $html;
?>

             <!-- Page Heading -->
             <header class="bg-white shadow">
                        <div class="max-w-7xl mx-auto py-6 px-4 sm:px-6 lg:px-8">
                            <?php echo e($header); ?>

                        </div>
                    </header>

            <div class="flex">
                <div class="w-1/6 bg-cool-gray-200">
                    <div class="py-4">
                    <h1 class="text-2xl font-semibold text-gray-900 px-2"> Έντυπα</h1>            

                        <?php echo e($naventypa); ?>


                    <!-- Sidebar component, swap this element with another sidebar if you like -->
                    
                </div>
                </div>
                <div class="w-5/6">   


                   

                    <!-- Page Content -->
                    <main>
                        <?php echo e($slot); ?>

                    </main>

                </div>
            </div>
            
        </div>

        <?php echo $__env->yieldPushContent('modals'); ?>

        <?php echo \Livewire\Livewire::scripts(); ?>

    </body>
</html>
<?php /**PATH C:\xampp74\htdocs\iep\iep\resources\views/layouts/appsidebar.blade.php ENDPATH**/ ?>